From 3f46535ab26fbf03d05ead7ad7be95ca62cfbb67 Mon Sep 17 00:00:00 2001
From: Leah Rowe <leah@libreboot.org>
Date: Fri, 13 Dec 2024 06:28:05 +0000
Subject: [PATCH 1/1] 20241206rev4: fix grub background switching
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

prevîously, inserting a new background.png into cbfs
didn't change the background. this fixes that, by not
putting it in memdisk, because grub was preferring the
memdisk one for some reason.

also changed the grub boot logo to the new rainbow
libreboot logo, replacing the old white silhuoette one

Signed-off-by: Leah Rowe <leah@libreboot.org>
---
 .gitignore                                    |   2 ++
 .../grub/background/background1024x768.png    | Bin 4935 -> 18662 bytes
 .../grub/background/background1280x800.png    | Bin 3451 -> 20038 bytes
 include/rom.sh                                |   6 ++++--
 4 files changed, 6 insertions(+), 2 deletions(-)

diff --git a/.gitignore b/.gitignore
index b6aca3b20d3..a4dbea5860f 100644
--- a/.gitignore
+++ b/.gitignore
@@ -37,3 +37,5 @@
 /dump/
 /qrun*.sh
 *.tar.*
+/m
+/f
diff --git a/config/data/grub/background/background1024x768.png b/config/data/grub/background/background1024x768.png
index 181909db09460c745024eba369234750a0d1ad3c..e2ad85faa33e03549c18c472210ea09d96ae41c6 100644
GIT binary patch
literal 18662
zcmd74cUV(fw>P>Hs&u9IB7%h`C`C$8R74SM2nb4(CRI985=5FxQ52AFLpL3fA_55=
zrHk|yK$?_<8cLG&tx)#f_uO;dcfZeb&vQTiSgd5tGU{)PIp$o6xT2@c%)rM0006Vj
zg|pWHfEv1`0_bU>e`RHy%m8p9N9XM68$PhP-qZU55qdx_V4#|t#8`cms+i~NVqj_q
z)DnPEE^x|)jdDRzF55!^BHOpy&*>?*nv@HQa`_j}|2CA!cGLgT|8LJx+s`Rf19K9T
zt0v|0-!~B1e)QK^|A^L|p|&UZul+T*$NO*D{)^XtOUi%S|G%9IwLRZ|K+0dNYHoM^
zpQrkF&v!Ju&DDP(we6-N+f)A|QvMUErBg=ypBegp5d6NwoQDSRn%m}5GX}j%&ChWj
z>i(b1N8#chv5um&{QumzMJR)6QZE0LX{aTN(){0&@*fz~cGLgArMAP>KQbs03jdmv
z%fFWz>K_}__JAnLp#N63|8Ebl#L0XfxX?|*fXj3al5WzIP;PE+R(NG<^Pr`snW;v=
z#zxLW+Oy}q&$(j_#z8QX@8pLWbRUP1tFk)J#dV&;G$~hcUVw7_A3nazOZfNA>|giH
zcx39meOYqKx0&z4^SeNdxDFqSLFR+bp;yU=bbmHH6aNN?=sZ7xo%CZ&d2^I+MFGCs
ztj79N0vtnmNSTNEk8hTzPBWnPL-$lDah<ZOspKBJrNeE7!O^d5`=Mrh=V<{QXok`h
zI-hXKz8b}~rHynt=qn}wV#3;hOQE9gR6wc)yMs}Km&PcYDl_o>orM*JqG6DgdUy=+
zE!@9RSf%DFG`@W=4~6-0(DS@cERq%*O?;{%@mB|0l%j)AL<>Mn#Qk_H2V8g_8c89N
z7wC37roYU<8DX|`S)|}_s8NxF)&5-yf&~HRNg<(e<H=W3tVC4c+YP%9T+6h(Vy0CE
z2I~XVnme11HwbTtlIoXkKC8=)64#+H_3kt)Kv<U3zj_64Qh5pe%<=B))UL!mIaM74
z05mp9{3ur)Ta%ZQl-7=fewfptRtH;S%YSk03c)^s3PbJS8&m?UQz2|pU(K=r?iCwv
zOgv|SAfw2h2C-dQ;t;?I`^8frJ%&pId)O~e5_tE`@@RY8KKPC<>?f#E7wXLx(}3hL
zYT;$o%`U47h388Aru81)8JX8OX9}D5)b!&_Ugyk>6xx70V>mkny>nwd{z;FQ9@DMM
zzpT^sF4jxq6oBL`4@pq`10aMoUic*hXpE~z6{ZD7W_Q@zMAp}(rRl}MQIL3dj3)-j
z4>j=#HG~<Nry}qN4{(y|9p>F$&%HQj@bk-43F$J97aoSUAgylO6%)XFQgIn4wV6<&
zQYV^wQ^ZY@^>~f=2bE8A?2uV(Tli+r>Z<SK9^;1d00RTLF?!~z>mlizi{i3{X(<BM
ztnqv;+NwnfN=AXZ?XLsl*`wza3#U&=u7{6MMZ7=jwlIEt;a6bs(thpUmiM1xR_pKO
zB)>epqX&6F6RR?8dD6k?^Uo>`HsiK=wc6{yey+cOD6$}5yTHEcW&UMXm$x27nmyTf
zXVk^`#RdP`H07G(z|DeGZJ$ssD-MqGHkVfu<u2s-9kOX17yzLuYehGH62mFYbUi^-
ztbjEmWRG8eu!6g!9{3~iXvV>S-%pol!LwLdPLICtblm63v0=zvO~z29ZolwLWAo(=
zVvz7vxwdPTjo-a;UW)EEkQ394lyF&+rItC>x?f{lU+Vp<lcylnm>-JWlW^z0Yw2w@
zY7I_<EpNsJCKbqPx(D|NxDG@z;^0OnnwXGd4J!_JBlX<#(}<ULbXm!WJu+-A$Zxd5
zSgG^I4Zf%14Ep@I0iVQp;}zAw3t=jdJMLhFE==V4G8d>P4&XJ=QvwZiDv;f5TSX#H
z+T(GiUHcTTVnL`U;5fz3QsCYThj4=8KEF6Hf@+PyYB0=ImV%HH$c?ul<VQZut{Y3`
zV{jW9q#eZx?D;D{aPLH4EjoX?$3I#q<#Z~1*QQPw=o&_Fd=X*mZAR|j2b4FssI=+C
z{Z!(VON@TUV;T8UduRM>CBHo<AGkAbmbW50?^2^~J6a%2zC3*Ce;I-b3Wi;~_($?@
zJ=+!E2=x0FYT$bElwe@%DqmhnmS(t=@Gcn&Lw$E%eNWbCD|pqFZPBqsjB-!LKC!cD
z(L0!>WTdgHXjx#6pq6A@$H!%GW6nzQdNR!c;1H+a<YA+9ZSD)Ek<a|!U5_rJHB;Fg
z)&5fggOup=!U*J{gX8yJzDS<nXi%xPXX$*4z1UymB^w&EJh7|b7wM1<iCt>6$1BSg
z#I5@8Z&0q)C{}0^k12g|jONe|Kw0x{u?~K(P^*nSD`pm_(^?oNojjo&@wkc6{>?Cp
z|H)k+X9b@<mGpV(>4?peZ(<r)4|h)nei#;<+!IJ1B(bKD@{0!N(=OB(I$ClnEqW@q
z@fI(M7A8;Kdph|x<yJGl>8o9}-a@~p5t{II9@VRKZczEIr}3snz)<$x;--<?sa;!&
zS~CkaaK!o!o2v-kmGxUs781-gQ14bf=vx>hu2Vw+pXZYgmd};^?*76O^fZ1$_10%2
z=R=&@y=@k2roIlSBx-RTrHc@p=p6mNQ0=cW@+*->>{&7`>(UASFCi~&;*41e;}ryK
zqmCTl?6H(`;WTdkec}0uMoKt<gbYEKVN7Rw%RPzG8Ib(hPT|ax3+7i|yht9UmQ<-%
z(aXmO#FX+C867*n{OlAI<qRn^4KK5vs8Qzs@`QQtd=i)Fp-`RERrgukpC8n9OMIN#
zLj_TEp3+W;tkr15jvHOWD_cF?fBoDA&f^Am|F~=P@`k_!K-b%<reLabOnClRF8d2{
zW=l$s+*Jqb5?8az2#L3~nPM5wFNkG;Ao4<l)JvwXoym7uO%leKVv?z2#F?*Cnro0)
zv;R=97wo(AYo8cr!9{K{&2zfkWTXWj_PksT$5wBvPSlkSO2iJ8q(C^1Z2S6K|J>F3
zng_RZ+u!NM!H*kopTX22YVyDbm_V;(74=g!`yrWcM{4TQ8%(^so^FXJcr22;vaQv#
zIxn9UQ+oJNMi_5mqihRNK*8r9<}(J?w#7;V*i$rO(h@#Tr|cD~@=w+6)0lF4z!B_6
zqq&O#Gp(!Ne>Q#5JDFJi4b8@*@wK-)uoz~qtO&cXlLK@P^?kZ%UGM1=f=sXDsre=K
zVFNV+L|m$4%YwqDn9dJ5Y6@C#2E93YhGGzEVk$}N-tzF8H}8HCh~YAfrkSr!a`PEi
zL_ns)M=_m@uL{;LGoNadJc4o#+s13(^4G%=_Y)5eZ|s8f02Kg#7XJxMfA#y(3tA0$
zvs{a9c?;8&OLGl+2i11mE8u2>s*hB;&O5P;CrH{Bd%gTL!Q?6Nh}!o{G2SLc9emHl
zhwLaewXq@$kDda*Q)kit!B<KzS0~<}+<2emid@@7$cd{ibWmorpMov&z=`pDso%li
zgdZVVNSzB2PeIW8{aMuG#}6O++NiYgN~koc=>2$G!?|9(8w_{>#b5gFwrc{%Uvk4W
z%XnbdAadT-_Bbh-sMN|Fy?7wvY~8BeM2?=20s(?>D6M)2+Tdi;2QPf`hz1YJUq4zr
z<m{%Pt01ia{b>ZcB;0@HonR{jePotm@?<^f{q+NHvy7g#P3^-o2FLIJaQh-<`11A$
zP9R11{kvN{<z}@NqMrhq4H-Shlad>YhFq-s=c*rs?HeE$Rt5MtdC<FZ3r}8Mn7FI^
zi{0A7os%pk_6E>Ad-m+-&9uJb&O%$Fj;3>}VWJGMH}O^OnL`cpYK^zEwM^2`;o;$M
zVE_L8R{^=}rY)Q)vNeyYM}C-BMB`#pU@b>v$hcpp7pT=7UcSmsJu2Z24aosOeZo<M
z%2zp)@?zYPNY1ZwosIrztWv9$)(AQh7yAWxJGtneK=_oVtsECMzrv8T)jSyjd$Kpz
zGmhr9$>au;n>@L%$g&(B`7#_ECyb_UMo~3a2XMfj5`8d2>dq4>&F+sBRZl5o$L@9P
zSOe9PMl=5qzAe3Oa;IMP)AaDtVp>|Zr0>(OK8TYqA0sJ@h=_@axgCY0zAdbpo>=R$
z=t3;4dRx37(I$M80{C=&iiZur0bc~2FC2fAeD3U77z!G{@ec-|HI;a=_4nYT`x?^g
zTK7jD#R9Zxl7)a>{^)X1rhRFes?XC3<$L``u_rt0?uPCW^^CpniuBE*JVr5Y+@`R{
ztEesVxER77W=ARq$JRwPqaV|K3Df=(9hzu0V>9F?HS4u4?rkcUvcT@B``?V)j8zCD
z_2<a>h8zqDD=Mjq(aZGSi$Okh$b-d1NN$G#HmDN~kh1W8?$ri4aCE`cFAwd0H+$Hm
zdaBjJb*2^7Jr3jN8?F)_wNsAEosYBHm^LIq%<X847SIb6`YMTbwT?;iyj-ep15?(o
z$7=XT)#MIpkF07i!+P7U`-gjXNGKSq8|Y3#yzNY>;@kT5UT&gncyiI~)~jjLh}GAi
zaJ1+B5%erK@x<$Mn1(|5b2iL-cNkA;SoD&dH+x}y*^K3P`BRV*7y!sz&f567w~k96
zW130<<>i;UgaWxkH@<vqL#Qb^q|jg*kSutO;i{`^E<SmG8e<25@t2%R-XfOv2wzfT
z$|rqUbSi}3vVpamS5M)7>CY6r1I%k8c1;&*9g)=gW!6t_@gDhNfiUwXV;%Aow@5Ps
zeHK_bzsv?dL977P)uIgQanri|deYmXgy?$%nEUtiD4g8rJ67knC4y-m*AKqmQ8>Nq
zv5Fv-uecMRfb5pzed}(L$Le_m_j-w0cbeRBj%x_l#rZ0xj6M8}jb<QyOxGWP-?}q1
zWn7xJs=p{oQ0gb6J0R}2jmvITIH_=XEUn?ekJrdvpJ}sGjOi1`=T}tj&uSv5dvO}|
zLkmL;fMW8V*qMR3JB=$e7J&IRVv^monV*B^k6D}=?=iwv`gY{nBXk&DBEivvV(L47
z&H?;Vtwco(jg(&-Op;q^TX$v7+8BKb=D)!e$ncW68OVVJ=m#!Dk+XQU1&!}oEnE85
zfAy~Q8)?4j&iia371TX`|I$x_FgM5?XUC=alPji}@$T?BNt(}XaG&fAwrItY)bHEK
zvg0+5F0H=h))=1pJpV&+&Sk5JGM5=p(v+?(R4sadS_mWn>D??4zU+AAr`H4EWrAb9
z%+{;VSk|m9Em~ME$JXo8=$ar88O;;Nu-`Uo)NZ-VF;NhS2B4@2hEmmtZA}%f5~l(#
ztF6dxI`)cS<TeoY-0SOB)Px>y{Dt?|DR#C)Pdy7zjty({@^?lSA>aFW^9V0Q8{@x{
zD;%CHqSoERF5jV>_46qucz-xbaj6}$<jthJBlFzFHoEd^Cv9^$h!RH^E}IUjhP}?g
zvJ$>2@Gp#y*ecu1()p$nJ0rKPddID9f=4nM^8(oGLmrMOjcPd2(6^0k`LJj@eAR4{
z0;Y`J^xeQ8E+1ehI;KC}L9YtH2&SF&`sQwaWv)aQRI+F{yEdrZKwaiKjQqjJR>XK$
zL*U>Ats#Mlg*xz(qkP(7_atvf9=pKC07o%aa{IL!S|uN3fn__GU%`I}09&=|kim6_
zw7~uWnosz_jYA8GNcMsP$Lu+q6d6hFKjmXt@iWV`OVl!#bgsGgkVO|dDBq2hlx6>l
zhAjlp;n(~rq4`6GO<gH>vh|B0`!UCkq{ar-rwMylcNIixM10u*t;&P1{A>_K@&4d4
zk4QULhn#gp-3<kpy;~|7%B?WwL%O!#w;hZUgYMSCFbi$LO{rh5VYR?SF4CeO{|LMK
ztXY@<@3i4#<hUB4wekSYA%z+;=N-&AZ$fPI#fSEuM9_39ow@NdHg~gu@Y)9#28>qb
zU|oc%c`7^6XylrKa*yi!ZOv~7v5wzhudnNP5{yc&cT>0xZggbn@(nzHV*b!bLk-L%
zjQl<awpd6PRmnFMr)U3{{eRv>))iv2+azuLsa}`jMhJ|7?CMXp$eqQ&KsT4>mOm;i
zsxma=mGHU0`n+4rP0X8Qv>Y089Us6LiFBLIOZIKDk{kx)G_?jnw41OX`*i+^-gmdL
z&ua2MII~1+{AF?do5H4Kk6zNb&r3pDm+0k6Su4ms!VF|ut)H{Fu`%>MRrr}C&7U&(
z-j0&%2GMDbf6aS0H_;{8o44SPENs8o-SBo0_xuaMLR$x3tQwJL6gj2mYQ&GJe2Z>%
z^Bws{P4S@}k@EGdOwNX|9FMJ9&3m|bNjW$0{)oJQ90#b?50_djT;m18CdmnP?@hFY
zC;@&4{+&o@tjXv@oJGqI6~Mw8p)Tf%AFd~SW}<&;0|=ySsZMeazox*!jz2v8yq;DL
z&m|p_i({Af;4$~mXMaGdDSU@5(MiG($F>sGHyaKzQoMDieH5{&%(Z4V-Cbsutq4|I
z18mVC{ax(x7oP<=drq72aFiZkdvVFzZ5^MNYWFu06f5D>S`R4D=K90th)mtGkASQ9
z^$)LKUXl8}g+n}H2u%7+bE86A`7^j$YjaAW6$J&tU4S?)NmiXoIpjG?z@)lN{PKP3
zeV;z&Gfk}tSfg-rWMExk1Uq|Bz-P%e{PHBbwezx!)1TDdBu_y}%eAivei@|D!Etq3
zI-ROEtj5abIFz*1l0ca`2K<#acWi_q8-G)M+*e~;rac%F)1oEUc?~leR?ttQ+7v~o
z>FW@q37C(}B0^*(WgSeJ5S>tfXaSTf)h`#Y{He3<D@0r=ZLTjY;W%Dp-SM-i=HZ36
zqo`304)DH-rWzwg#c`$YwRS4iutLmEen#=PZGX7XW-xKB;^+I8T!+!b4^*$$CFu}8
z#^)hqv+$(oQSL$7BY-(f_<<spx6$e9<;igxh}d1wwIW}e3ScnZAZfyWVV4e5H*Vs1
zJ?XJgDopL~YJj(G*~e6t+TFuFok|3nzTPfAwg*l>93C`XYFXlOdK%JHNiDOvls|-s
zzC*JvwU3(V;DK!oC*>a$Df@sd8s%MuyR)hbYia>|DOmV&Zfe$~d(`{sYUUA`YA!9e
z%Z9$$efleM7iXjZTF5l+nh(-q)o+BoLQbEnl~{`S)P5Yb7XfdqOM1-*&7wIUr(C_C
zRws(V_cX2;ZbdMXMV(;Xs{T0O32Vip-W$jJnsmEQpFR6amz83OXTN8ZlqWl{>QAVc
zl2r1iVnaCyqrYhh#y_}XTzVH#!G!LRSa^9&yng;ldsD<^?(0P-6>a?v?1`$2jNwtn
ziIq++zb>?D{2f@#2QL*Hw4EU+o}kX}I3DD~+QeE&Y>#Fi=y<h=+Majc_Pmo>b!Cg5
zt+(d;X?g-^b<^Ur7i=5)CWR}x!+=}>N=<%>qP)MEqPoVAu3{)Nf7H@w+C{2AeW!7z
zQMRk8B6Zf&IB!UGG;`L15Q6<AYC;?*<P4BZ;6ch#JgbW+p>aM;2s?~#Oa%xW6?(u5
z&Ozb$Pm5m8%`~0=o?+;dZ2dx>aSHe7SQ@RW*N3c)Z(CAFCZCWMqPqC5e0~HNgX(Wt
zV1viQU}YPu*Ac{~4~l<bS)_MG<{$nu-(^gKj^}4F#-}oJ&j)2Q=Gyg*rR7-T%{=%t
zpRvFN$f`^SJ5Mp?S1Cs$mYjb#47)A;1>DA&@lE-pKnK1yY_iPUtDt4?)5DREm$I!d
zAv^BWHnbh?{&6&htkK75&hxC>7ytu3^~s9Ppm3i0UvvoJCbMX8<xRbh8K~H~GNk4j
z&Aqu>g~FV<{kgbD?=Ncnas;z;(1?xOD=BMe1tQH`W>|8~qp=ZX?d1aDhPIJ_=D!k~
z^)L5^RdG@#K_}Z`_0qaL2~2tW7(2Oaq&%1bAO6SqY^0}g*-7NO`fIFrUrZIUE~1Db
z#$RdJUQS+U{OvgG_GR}5R?W`qK>o#Du(R_-7Av`6`1L}XH7(K^f6>Zs;-26&=*no9
zrv0p5e@vrq>y}}FQM~Q>8+FyzKC+HTOelP&9sL?<d%*$oF`7>N5#TOdH3W{=mKj5y
zS9ZIYb<guEGH%_u7gvA2h%~(LNzMr$%Z2De+YVOy9L6f$^jHg|b#@iz9Lnh#?F2h5
zD@i3z$PZ4FnxCI+TN!@ZWO0jZshUfMmKxiE)V@4xGHc`Es(j34{>Sd~$nsC_QeGu>
zk;eDvJgw~b?D&G+9X}nW4rdJb<Z%)ah){!y3hS~D(#VxOWyj1{L{Y)2WJW1OQ3_?W
zoy29i>&(!)#MD`y>A4fScknpbre8ue>l<A0{F$_w_3iFgzL2-dX3Y3)Kk~bpoT3hY
z?E6Wa`f$|AgCd)^pOw2X!j{HA^PEN2*p4d2J^RRl2}4rjnRuQi&FGpy_S{;&t-GkT
zNn+yGCbO>D-Cp;i(ZMDuTQeIuL9Mn9WY=ir@f$3e5`$s3MZuYhS*ozXoBLo)>rw$l
zm*@2#Z@41nlrd|Zq!k>CFkb?hrAB9fV2j6_eBPAZ4WX^XYGhndK8>kc;b_193Ddxe
z*F5|j8}05HNT)ZpmwmWylC&0u7Yw~=e=?tNz7zsT2Lt0<%4~MCJucFNVRHwRZ{A1T
zwKFHGGD%KU#@BSPI!*l<JMHR5j7sMuYHa;w23I0zmjbVvmA!<cLB8_n)CNMA`Rd5&
zmugvB^jB1a87)xWj`EDHEGo<*4l~Pb)i+6wjaW2(qum#Ft|=Ean&-K!zK-<{%HjYV
zwRegCIgTi%s+?}ZUPAxOx8i<rx#=FVRF;2?pu-5<a4y0|rx|#bh7vq^=zAZDVEh!X
zd#IUn39=>#f1N@X8Kj2?dcS$C>GnCDf7m%+CTw^gD^Y$gz1#~|diu~>aY6Yy$=i&2
zWaTox&J6HniF{JB5@tCPat5tuNRCB`^zFOCT$xl%MQpImn7E6Q=7gUO21A7zc@PfF
z)c%3VSJHWwyxq(%I8;TH;oiHh9K1#1-o;wm$9==e%RZM>TfcAwVz)*+5g{B!PZ&44
zw&a~*u8ZD3yij(Mn2V#rxgA^mId_uyk_V28YEl4sTI1Fi{oIa#4h<55nWjJZkth{)
z;ax+``(q7Mip%)dII5BDd}n*fVY?ZFj<}7N9$_)t;xw0PxS<p(Zx0J!(BjwhXV4U2
z5Qm~LvBvwyYt*71s+}d@AeyfEc^6TfgNKWLJ)3j___QVnG^jI+kOS)z=eDl<tmo89
zEJw(f_(F{A1lSMJpJrY*wYbG|DTd{3aINRMgp`|Krmflf{#qKidL?FoI-Cxue~rNw
zR<WQU>#8<Ixyoa>m|<gGBv-+*I)ot6uogF7ts%V-R>JeH3LZCJHfx-p?|mto?B^Qk
za1?(dmsaj&mYWsRc%RYxD{oSE6FQ66x3ce<aepqId*D+KqMpc%J$fHNvUXt9e2})l
z5<Ur2{^14Oqca#ncel2mFq!tzOnaYKJf`lO#*ARem*%i@;#6KZ#sFi$xaw9=;X8z3
zxG-9v_3MLzI~h<go4o$yjP5SpH5)9q`r7IwFjY?YVFxPrJ+-)9E<6m6VWEGDj^!eb
z7OoqcsA?+nnm0Y7I7+PF7+ZSy)+!xA>yGgj7r3JCB)RXAZ7urv=Lcg-qXi?_6>DNt
z>t`r}o`q>blX%n$>n?<Hm$T)5O^lsXe~}{%h%#LW1>cYS@nZ-kqxQsvx;hF~cKoM>
zTsor@Y`EZ?l=1)<T>PBR%G0=1@FXj_={ce9z88(SJ9Ymc`E7oAw8CkdPY*H^nzz;D
z=niETso;~`&@>+vU3~@lR&5#(ZDvA8eO?;Acn_K4k4U7FOJKdyHOhA;=#&66Pbl2E
zU>sIx@d5TZyV+JcYeSNc;T`e=&#*I_NxATXzoJQ670(j_v%~S*x;@<q$@3R>MU_D^
zBOJm1;MV+5(|8hEt@miUOrtRG1V#MO7gG&noaip-(bDGtCNk8nD*2&Suz;p=)HpNQ
zVPpaE?qs^%K9Pq3NG4Wv3j1??%>wpMM;bFklQ4J3%}<##JQbv4s`ta^BJ040E}s&&
zXq;Kjyk&V+|9yEk`TEAgjgH*2YBYjOLbH6P3Js>7+}cg7*G`6Uz~52i3>C&cuA_;x
z>wRgDq{d(TF%Sk`t(OMwUx{HNI=Jk=5XHnK4Fo$}4|X>>MBR8(3*a95Q0MI*i97N<
zD99-od_2x{Kx(WKygR80Epm`bgCsa6R%{lten{^AN!>fl<J>j9=gb?zN7ZS=?q3Fn
zzXZO<33i`kd+g0#4J->2gl74(y?LgNA0x0lsR>0}(8>0o6Q@bfe!mqsI-=Dj&=;r$
z-_0HycUQLZ?lR?@FD(YZBR93RK|yy-a{-Q@_eYSM0a~2MhSQv9P#%()bU~o_8hs4w
z!gv?yGfG$p^4kEsu<;fPs@Txs$!Q2O)D~6owJtCgiQGqmX-ujbMM(6`;IZKbQB5i+
z`7XsfuJUmc7Zv!CLQn<nWPo1HHIlgY1E}~Gpfuc5%T(Xuks-aCnYMb|A}R3_2W6`{
z4S`VRtIU%yCMQ_<!-u6fgcFP&H@<Z*pGxErEK=d8$)u0wm=$b*4t5~-{^52Z+FJA_
zt)RG@LEZD@j*$rPyw8G@X>D*pc9NMio|4DQY(@%0HeFXCJjY?QAvMQ`KURmnA2?y$
zCx8ulKT^AK@hg<=wK{Gu0ilfZl=@rJrAj_>6Dyq8TuFxdLdi-z<Ty^!R2_x=SH7$?
zV!CWSdBlvqLb&$+3`%Vuy#Ea9ZWD6$DQd;{0K=8fMGOMqIU$;TaX+Weph~gP3v_jU
zD^fD+IgEt)wraoV_YvMq`FRA5wRkWaF!$RH{<lcNNuebbEcFrq{~ccb>IP9vI~U4l
z48(3ZiJm?He}vPX2S)Frat^?G@LGB_;g472DnZdgs^?ckNVhjr*S~%ffQ^mtoIm7D
zWp3StHp6QZbSSH4nt%j;HUf!NBRcK96U@3InvM(kvRBu(o;QEDWbsVl^u%wsf;)2u
zHp*Nc;kFbpK%c}TK<N8;F;HtlG|{J}CoE>8PA8oPZ-p2Go;*y`XH0hDtHcLbE#cce
zGX8adR@=Hh*ouEk(>YF0hYaor1+G@LU93XO9}~Gp1r>cBBJ3IMl33fj`L1;9FBOEG
z01~`tt#;wwP2$IIbjzr8-oq5t@iFAM7BFSVxbF78EzQFlu%<FF#Y=vrdO(T6-b^>3
zAbcg=nN}6XWC45N?mK|&5CUp@JghYag+VAk>4`xr{1Oj(wojXUhz9X)9>@wQ7d<*X
z-gf4`a2lIyb~oy61?%$9F|#Zh^DVZW)QbVgMe_y{`%ss?0dWF<`hBNkU=1yGF^>A<
zbK94}cLd;%1c8}vKoU|dJyMT~UYpvDXa(!+BCdNou+p3<Kzu%#9*%5ld^8TzVF;v!
z>M#vk%GC5UB&_jaazN~7*yj>PwMx9U)XKt5AU|L?)X)HFM0<QS_~Y7oQp-Nry`JLt
z!r$*oYI24FkveE$#HD`NO)At;XBzrtpnT+F1J!v#&N)9t$H&M6a3*15583;1>5xdE
zlQ})xWAI9O5@oHt!mW4Uf*xZyE$sX}ymDp{`^<1GAO|o{+O;!2VBK9#F^*$vJ_r-~
zkuD2#hH$j&ChC+BPl7*!myhQb@a8oNGBmzHb4kGD2z4VJK}QsdZ8YiDP%;lxSveE*
z^$s@1-rmQ1kp1zNow9i;YaJ4*f;PkHLy!YZDA&k-c$8FS(!nP<k?w*NH#Onez4WJ*
zgR#rfV5>~TZE*sxl15u!Jr&58?A{vV1=NJ{tl;CdOn|Yi>41JXwtD&0pwiW2n)Eb@
zr&Td=Dnj`accHXlOx=ky{P9K+EBO-WT(CAoGb}HE^*$?0=g)js)<Ck>`o_TG#CUJ3
z3da;l&bUDGD7n)DH6IMzzoh0h9lx0Sp$nXcN_`aAw&T{6!d16b2*^~3A0;at+4gki
zZ&#5W%ZE8GM6o{AV-Am^V?q{2g~7|nT~2?niA2|+C@UmuPlN;FfZUvf9WxF6h`kGE
zcyLG@n+Wl?)Z0;uQH|yflf^>ehjkU$qt`Nezx8q=gauir<>s}(F<XIDk^&d^h*tAn
z{cjs~T2EYBb?bAlkeOc}ltq02u`zKdW(JsA4WtYh((}PR%~`!5*T^#{iBr7kiYK75
zNWIfbHcV|D^46f_^{oNgb>>&R?ZuZc4If|}IZ&oxcz~X#yY8i&-!Xwr$%G2#-{-pD
zY<)JgEc|wu+O9f)eHgM%Oix%}2^hav36%ub4($}le=@LbCAS6J60bl&KOLy$!#aWI
zLf!qKIr|Oh2sp(dcaJXI3x0xGxrFl!z}PB5NlG5yeS#c3+OBahJs=*Fc#Gz_p}&Ad
zRbrPmwjELZ3>mcXwW=#Q#{c<(L0*+|H69)J1<*0UjB24Ty3BZ4e)*R5&GL=rZkSL0
z_B}%?KIzk?W=vZ-b#9sCItwb236>moCpMd0!b-2J2eTUyyb{s|6#yU8QY(rwx#kMf
z`jl`+(LL2djrNS%ZrM7KNYXhlnt9~ZdY;wq`B`pK*a-6zVJe()o?{!~`TVA(t~@ah
ztVFuJ-MaH7zAwN9UValS5#CKa-Mh|=`^WCzSZPB|k=yYHVX<4x9i`D`8?rS4$|FeY
zb+f+q0}Qn^$WtP&c%{v>uFIt?p>P&GTD+r-%iGf^<5TOhUy8Zc?4v<Gt)LYglRa~|
z7ax-pf`M)XrcK@#mkOv!HhFl*s?WdVxd2DGwp|2~J~!QeMWodmgoQ_1TUjg3dh|K(
zCKq-*=C%UE>kPfe-OCTclq9J?j<bpM51XC0C6%Nxu^|zGai6Ik5j^SP_qfxT@(m~v
z3HE#paf-&g<vMYwy^AD@`~W=9#~3Fd0TwiOR5@K-+Su8N;*S!`i(^Jq$L8PbH?;bn
z@(GKK+IRN~UONEnR*j1$o@@#OpK4}-1AFUTR_9_RhY0_s9*noYuU{3ST+rM~3-!su
zh*8sx0fUbV^3m3`gHb$2RFl~`pWQr5fb{}xt~Hy8v?@H5241Po5spR<jv^<nDto93
zY|u9kF|Nu>-cu8nRV|(tl6_}62cIj-t5uGUc!JzCjBSSFyF|H!NXN^w42Uj<yKA&8
z&|Rq90)sKR1GAmKWmT2t)W3*&9fnAxyP`Gm{5pJd#C{*m4=xnGVh28yC0ySNnjeE!
zX)ILYZv&w1@h0ZE0JxAk&|SSTRc&o}+S_J67#zD!^Zk&rKN39ol{+r_laNB4ht<<>
zdcR69x=%13S4g8CW<G<0;I;e>p(&aq*7D<y;FjbrNdq9AOga4>k}f9KoeonU3e2;U
zP4xC1h8B+B765iSx*Icks4GN6<`beEu26#7XowrPOl4w;cWu+~ab!uB3_YIjK-;P!
zY||RLn39D)82pK@qRN4ni=}GJ!blC?B|mFLN$V|`%Ly%xC*$`gm2%|zbzKZ%)ft5f
zlr5vk^b%Z8(JDe>mmnCXB!JU@fE%_Z?gjKlGQ!jxoM0F9VLWax(oL9Q_evh*{I-)s
zK`TF$ju-r_J51>IL%%3Y)$<k`Ip+)oryf#UTW?n$>XrVZk65!W1m^k;S6sR`YRO6#
zZnz)X?P#jzx?N1Q8&Kp2lH7${BFY!OxRU#7=*TIWBKe}_VLx8APoc{~(2m07o^E)I
z|I~OG{N}ggL7r5R1D2u~b2hA)EAGJD?a+zPmY)SF!#*0_7AeWzU8X0^*pmGDObM5$
zkCDLoFI|2kj|fqlRcW=-!y}bc7GHPEif_8W!nPnKb*l>&=t@m<EoJmAOgu~GJG^Y?
z5Nxz?Z3xzZ6a3jxc(hzNnFV`>2P>G=Ko#BN>P@5XIBXo!-D^{p@clg4*4B6u!Q83D
zrceo+lDoRd%7Vs4+of&_I{mq(whvl;pSBO&$O>Hp^AK#kK%@g=8O=S<GR>^VN}pGZ
zGyGQgQV^h&299aLQmUNJ4+Yd#4KoNq2d<9mdQ6hslxClHOhvERFwee7Do>P>V9*Qd
zKRI!xqWzF!fS~De;k$J7MA}C}TF92&S|!{+){&HUnDMU-t$}mnw@;=y<^>LW*L=7=
zRQVjea1d4)i4c-o7?q7y6_I-|vYGN(P{j21);D0-{hr`G>}Z+UN}Edey$pqMCZnjD
zal!q;1ty}&aH<}Xn(m#;$8g6Vv8CU^3@v+13wCtx9SL|Y1lmdwzq?yFIu6l*F>Oj3
z)Q9;$K34#ntXSxoaIrYnRD=7Bnj8#2omcyRVxbI-=k@m*tCMQC2qgqrzwYme*{@_I
z6!a8cW;NA4D7fU<(Bj&qFZY5~6(+RKOMFHsai&OhyV!M#?7~{U8P?B8ct#7Sr2O`<
z3$)brqMEZh@L;q-2u@rJHsA%%HfyW7{<;_Wy{dy<pCe=G+Z~(2)>lhym!AgB-r2_<
z?{2z977z+7{PS3YTejHjF@#{?`jb$Og@e7Y{0_+2-d76r!_5zOdZD_xp!|fE`sS#y
zU}dMW)=)C`8(?jUSCX5>u&cf`+`8U$**NZU-=X5=>sWi)iBc|H*w-}HTxUci6r#4%
z21g|)s_r{0Id~nzcOhFxn5daPB-2ssZr~P>xS}y6$W{bDyG)abC-t8;&{l=@N6}>m
z9im%iVL7Edh^fL4N0S{%3bv~w)y#Pz1y6V~jZvy(lR-jW*Pm+OGFA*WBc-(;>GthL
z8&BaBQG}T|@@E<m`~7z6ydr~PIbhSJeAn8-&)Auk(=M>zzWRl~77wjk<13J8!j%vw
zQjsl(o5_vX4WBAryVrLz?-_E|wvzoz=Zu-AMl0j1I-;45QI2(NZ!y79Pg+9^0|<6o
zU>F^oUl{)4>a#RGlI-nML{=6dRPYuSAE;b5Qs~-V=s}-(P^e_CPq|*7`+DR_i4kY8
zymr#H(<HsO<%&L$R&6cm&*LJEiwrrkWxV78?u?L4T59;HH-FW}N31?AwNPqE1>u2)
z7eZ|fHPv3zF6FBjTva;L%0X+@cYZQ+quw`uzbeiFJ0@)X@gT_LhZHK8>@I?ih2Xr5
z5ACiPIRIj`Y_M#pO>Z%2e=5*U{>t3($ciL{WEfr!ES+WX@sX7h!aK&bH@E<Ak$UGp
z$qW*aB1xvp?T8e@UbRx}$?CN{H-oT7{z~rF6y81-)G8hPL%0LB)embn%qZ-G5b%G&
zY}oszr={#}y;sb;^|WOya{(ioYRzA=;f5eeHI1c<c&nIF6W%V4<$R8ctjY^Sm@Cau
zqehY5XETL}oqnTfBUB|Lv=t#8T+3F*J-4jf@2+Hlb>f3dTyo=Bg=?h;79P+_sppQF
z?P?^usJD!4xxSc3-AtPXuq|i{!UsKNiCrTYzhRoy1G9TsHNOdw%9KoUT`+vuhMB@T
z$uEKvt}8W?*Zw>Y!)ZFQas+=njan|TI*^1mLDIWU%Mn*cYDP%R0)ffwHkZ3~xnp@h
zZNM<SGNlvTK{7GHZ5U1zv>k6oMMsYMc~;{NSMfBIzi*$Rcvk^}4QQcUM6@}TKEOlX
zNE{55BzEJfhf0FHCDnY|#7taP!9?MZLJcba!{l#O6C^@3+018&)x<<zVrlWuZM%NP
zTs`i<`K_v${G|Kh*nTY(E0TlU1_o>6)KiLAnyyutu9@aF73ik0mXve&3suOcqZ-K6
zLZq(MM=E=(iL4wmUq&MSL#L${9h`-gT5O9@!#_eR?8}PPpM7I?jO66JDVslDmOp_o
zOM&5ks*YBHRKvnqI7rSrJAliT&~BRBfpc`jn<;W#?*$!X=d_XH=5DOSmXVr)5$e^Y
znfwZ~2bYV=e@aCb+*FkbO#&s^Zjx^gqY<wBg9I+TULBHu7tubM##=*MJWfn%geGjK
zthKWH^J5!pzv%YGoh1Hn7%lcz_<2L4ugS6dw4%Yzdi#?NtyeN#Pk@q#S8!Vp+>|8@
z7xZ<6KKJV4o`qWOz>zf%)yV1${<2b`qRny?b@FXgJdr~!5K$m)ME`i_lv$Ky8??P8
z=Ps&i23+UXQsfof;J#BBT|J){meGxv+*6?Ag9*37LF-6IT5w|-`y_9S+OhQ+N?+&^
zHz+PJq@5Mv|3=Dj_?+TU$8a*83y)2M9#nBx#{KT%47|xe#%nwRmg%rHE|1De)Sv9(
z)u)}aUEQOP)$s@oI+?z@O-JlAl%H@&JSZjA)=|AKm|`F7II0*6?E`|QrDNw4RJ@CN
zCF$Zrwk%HqcwQ;Npn+iqgFpUsfQ*lM26r$YZo|yn)lCCfBweVYsEJs0yn9|~nfN*9
zrF)+e4#(tF{B~hVE@8~AfMs|EMN4dMiTMi8QybkvnSiV>E;amxaF4+^R6VzWv;bcJ
zg_rH$c;0si@8cmY2$ody53}To))^_@^eWWj?z^#bkV`r4_PA?Pk(_&XdcHm*`Ij+0
z_4fnAU{-#)=Do6n%$$Nf3%sk!4f?|3Q>c{Yg7nMSa#dNgM>+U9Is(5HB7EqGo4ALB
zcL~jsO@lVK?_NKdJJZs`DA?~IUpjN9^cP&D|A&76xY@hcfRuDi4w~)>;{Z;0uNw5j
zrza_IQdL}{e)RY9CJiXfjhXmbmA}}}xV5?pqDlH#S#sP>g%n;}j95~p*X1u)WIgQN
zN5%b@-e2(;xViO~P2>_CSVa^V+?>iU*WFFB_uRO6;5X=w1~ldmh|Hp&S}!LQt$?ho
zG|53`o6<fwI*-~B`!D>5O7J>gv7d&dO}1kF++1};@QqZiQ#tJ??rlJ)f+*VnZysjl
zp?`z1W;_g_K)%UgYNLi{sHT&|+Po@t!pC)l^b_znqnW>qZuFt7E#twF5g~dhshWA=
zM<hD?&X%$Xqwe`XDYEKVy<LLoF{84%vNEOFjf}QfPGCpCuvoS76|k!EgI?2^nHE^a
zRq4;I>!p>3j9b|#aoT80S9EQ=<AdGr8fCuaytTIrB7}nu)WtPkLU22)vF4l8h9HY6
zMNRAoUeg?>;Zv7~`B81}SC764qU{c>Jq>Q7&0BW_mD#4v_^Aj8T7o)@K}|ukM@CAO
z5rh<!Alc}3+)(;Ns}k?C5+tXt7hMSQGrKun!`3}#lo~~t3o#^XoZvi?UEo}n@X3+)
z+LtoZZ0@hMtu5Fl$tqjvJTVq(^W0Dfp0u<>xyb#i`*$mE9htK$JmssG-c*9+){>~9
z2cnwgn;<_fXasCnvm!H?tWZGH<grwbwQ(7=DCR2_4?e;e5~4?&QVxFNJ;BBD0*{9a
z%-mOt-8lPdpd5-r+nbYD0YE8*QFilJoF&>xQnNneA{{)AC2&-BREyAYPfS?$NzTY}
z4pJt{$Yu$u<~RNsR&RI&EWgCJ=sU=+UG|6`x+RLKr19Aht|4nR46e<?YT^#<hRpp1
z^@^Q!H}+0=_ATtLO?;~)F)g-|b<nC5cD5(SRSk<)qs}AIO~3r$*H-c~SBAS<3bp!u
z=QPD0kZ;=fEw_$K1s%tCw}mc>9bH?7ieU8cu?--J6Mloae8UVY=nW(5Ca%ct;-NCh
z3aTA%*G{?%NysUl@`dZSGQg>sVx*k(GEB}ffuPRh;;+;!9mA(Mrw?gy8}JVU>o11z
zPaWPotPB`HHreuX!{^lLK|+OV&s%}cU3A`Se1Q+Zu$r-$`N+g@5p(LuF|jbFgWg-Q
zc$1Q<+tIMVNZW0BZwLNWuuUbpgo(#zJ~H3kv3CXhRjAgt&;0Gw!F(4XGFfAN;Ol6k
zfYyXWp2U*~I8^l9+2m@tLqdFIMEeW!49JtvIla*~z&aCoPGfyadvsdf)R)D-mD9CT
zDB*W%?-jIa+CzdGb%_R3SkwWP83PD?cij-cHnoM~`q{bHr8~jpwG;qN3?g5tRAgs&
z?T{(8R5Eqrnwzd}R$loXXoT;57H9@)(QRcBhhvQlx6hMqo6NI~d#|1SW7&P{tX((G
zZWSXPm(<F@@#w0&k=9V?9gfWA-oNN}fU?u?qn`0$V`S<K5MfYVIKq6n=7?=Rw0yKy
z(b%I*taa-_Zemk}{|w9eLZL}9seuGuUDWrfSSR7J`}KGovXf-G%~mK@yOTbVwF4L6
z$|b6Y*E=oIBzg?mM<8%@c$8{`E3+<h&9jP+_i2)p#B6gfC6U-s|9Nh}v^yw1MS*Av
zem-Q5q-leyT{cb36YLNb+bfMvMzX6%4L!q&?M(iyzhXGSUtdb_W2&RiR1Rz(cBSZh
zC$rD#0;@3&Z4X=dN=W>S=uK*37rV)lRN$Zd6ghkkdGPwuufkJ!tyqWNHQ_rYvemL0
zz;K$P2?*uWI|+3tSYdfU=DW#b(yxjFIXX34S*f0Pv71RVmPfTHb8Q1kx9TSDH&dzt
zZGEWWjkym4<N#X4D$gL==hpVhbBFX>B;*~K{-u&FlXPoIjEi6pTI~%bNbb;^d`BDP
z^|@;LYhcX@yz6SRFAqUK%x)z$8#k0aK%r)LCQ}kJG-&oswJ?7kId2#-iEUs#Gaq5G
zz1F9&wrz`_Htre5Gp<_3Hws}V09suE_}xW4z(^kd=B->$ve)0(y9t7-uI#6w^IY?Q
zMsV6~6y0y>+mwuRM~ScUxPI3wsXWU<*|I;mNou)AkI&*P&l0QCJwC)^B~Kx1N7^l2
zNJb)$E6X$J6cD~dDDbP;xdyNAi~iY^p|;0*mh*KLJce??_C5_UVJ<I%r3Hq1Dx@6Q
zZ4jf-ivHx?qxt*=QXp((p#Y6tSa|-7n{O;Nc5ENls55WsfziZg*f{9x?B>r)jIA!+
z`6*u?q-Nq~obTX1_>J_1qn?0@Pi_m&W_$_Y_<H1~B!a*ShyXyoMc|y-9O^`gu%%(`
zc@}W{-P~9gqv-Q*ADp=0plp5)NN8$){1q1HxlTuU=ek!ejci-cWU2aLF|)U*KvsYZ
z10)atfVrV^z00ZV@~pCy*G;~>$RQy=)f^l+1V)zmddE;+*Os70eIU6{*XBkz#npe6
zU9()ekKCS){eykdZ-QH964&TT?|%F8FiZW&C$z>N`ri>iXE=ZzVFiHpVkeTxhM%PL
z87|dRUT%E2SG^=Fw5)^TtV^OK^y)8aAAmIgRftN(+H;S37wpS>ti0=Q#Y4nFZ%FHg
zjy(P&<MQRy$%3KBJw(<>r`SnC;9R%SJbp(A#NQb*8JRPIi46+{*Dbd)>Ne!PoU%Q3
zI5rBbxp#u^<lEDUHERXet-{{bZOMBDIR4t}JLUyu*eCht8j{+c3MRx&7WPIKRF4W%
zUUg0|WdVnJ?-y8E8sAFnu_DxFey+Uim-NCnj&NX`buj7=w~Wkz%%tuD>$&P)MSJ`H
z-kO3BQ>F9B*kOrtl1*FtC_m_cLN+*_6yUsk{K9PSF)zJ2guQ)W_>kb1IE_BUA@m}+
z1VMpJh`7zx6u<rx{MI{O@SwE@%rHo`9-;<Nke15@pdFOk0<+SiSn%RpRj<B14fmh2
zX__gspVhlnBT;b761>cq6j{OMcXZ7m(IoDZO(8kM7fxZtd;`+^u{&EMN-a)2ehO=*
zbMr=!6u|}X{7|{-h3)tEb<YFJr@SuSnvd^QD#)`ks~^67zsf9$EAG8o>ZZ$cik=`+
zj{zQ*#@SItGi~4dTegyHb~w~w0*)!KyO?gbvB?_!X!rQ^CL?)Z1D8KCLz0A1j8*Q7
zO=jO4$M588sVgr1TgVh!UnM7_?VkeR>8i6cVx>FAx<M*8oHQP0IYr_GX(_xzf7>s~
z|EpU#rIiTfvh!;CzqmzF8vXkb|2F0S(%>T7g#2GH_}^Il2e+aS*{E&O|3PD@oyd0E
zf5zrN8xi#%jQF?N|Ca{eq2~XB!T-kUKfC=;DF0_8?l|9nB8%;||67CqGo$<4?Eivt
z44N09{J|)f?H{7}Z*EbD{sJmWJJe}%H({OO;9iGqO168Ups)VbFJ1h*=YRX@4H3#n
sJ5+2FuDSjBf1c`JJ`aRC|JMeZ&uYy(0%NX*QU=yJr*}5@jQPX=1CQyhVgLXD

literal 4935
zcmd5=`6E>C_kU)LFlFEOnK5R@j9DyWnHkJj8zG^TBvFWWWM5iLDlOiTB#}zlRin4E
zMV3l-A@7u|k!+DjcHi6gUwHrWIltU<?{m(1p67L5=iKMsD~=8}qDUnq06>(x)6xk5
z1f&W8VFBoJ?dVrC0N@x$I~Oa$b_^bg#tETtLh5)C6ak6RRnX>Wv8>2!riOv0pt{x$
z4P&&v4b|M7XhM<I!i%7ZVpwYmhlw@N+@?;J#_yzAnBt5z1=R>UFboV`bDP>us)dQB
zktNxTg*DU?)nH=i#%Mi~xTb-+4q2LDsHRJi(XyhjjZk{pk~kZRxfz~8lOxjPNtW8C
z79>+01rkS#iAAW<Rj6hJhK_=^k-Dz71kO_1Oj`<%6Gqe3Xx3zozA}X>M>JB`GsPQI
zWwnUnnrs4-B%#UHViCo$R9PZjg+`Gfm}nZBU=1nK1U)5+t|D1W6l<WSgA+#SD^vB9
z$arCtg|;aJP1jY_))Z3b5Lq@<3w;$T0f{zL*Cp)Gu%d9tQg~|$TVILF!Wz&NNK6g7
z4V7bxGt!YK+0e}Cs#HTY9j=b0HI;+grmiK1#c#)0kW3gFbOy%27^O#(Cu&RKXmTWy
z1P&*H(vjDu%4r#)bm^)(2C6gz6)ILx&75RHSEU)M>o73-CRihqB#y1cG$*q3lqoDt
zLmfqJYpOY37;UA^Cd&|XmB=J<EStcvB(n`sx@1Y571_)LXT-)cP4NtKk|~#FX@+N7
zlFZC-#s+FMJw=L^m<ET))I_K;(E4V0V*^zkV~jovYoslSH%8NqF?5E80bPY+jMBv;
zF*|9NL{ThNo=DiPL06{ks+HdaKw_9{$#IE-&GcH`lI2LSy9icQwN+aiRHWj_tVf*P
z5$kU+H7n1t<}CjZ?LSG~Vc382|6gz}sV1~62PHR}oi7U4<1O~TI5YqHtEU1x#CkO0
z?NKFcIh_58zh&4b07H=<5gAsXurfTl>*H+THXOL2_xIZbcYxq6wt3iOw?HN)$DWt?
zo&(o2Fm6E$L4TBfO)1`3C94r5!E-qPQyY8-hoR^}*`=$xNEE#>q2q{Rtb&+;G!Q9x
z7(Dvr%=!)c$Tf@v;8)vJ`SpA~uJCf*eQ2X&@DL~u{(eej>wfBQ|6?n~DtGxwf0;b$
z?m@3;b;S1vqHBV47{NG)>MM*wWu`slMZK;beoj|UPfyH5<#bz{{^ITC(lw=4hZFTJ
zB@warIoa_wThFR|a~2wllM#R;Kh&|%ZK7{8^RY6abR5kA5+`5w`k%d$7<fa!wT3d@
zaRyHn0dcc2?F%mgQ8(@yT1R`7bAd!y^PQ-BrKcJbM{YKRE(Qp~*u!6!{O+YS`MTfB
z*E2@KfI`>0ZUgoG#g{VMK<C^K%!~aGPXZpNT{aA@zahY$^l9JTV6CMM>iYAe&uthZ
z#Q`CgvK#o?IbH@lg^{#LyIPd+`#a|V15@R#A2dx@l_3I@Q1rb-HJLvepXztdTlCTi
z0C+0Bte`ts;ZJ&iXSODkAzigPr{zuqU~_W_a{U%5zNf+yfc3e<vpLab^X0gU+d-7g
zYE)t=*RcZdSVd8ZYC0{)uAn7~4nh$K{A}X^4{S*IV8y@JWyGL4Rog>*_BC>4ybeiw
z-&MN^15M#68Q%u-4!<HQF)2ZJA7%*vtvp%k!%z11_!B8`Q7{&MVAq0EAJO6dWk(*2
zH!;{zY(C_{@}M|7!g$fT^{r1MMEh>Ui2&<_Gi|L&yl|6x6&N@vTHJJ1Off!d7y#!e
z>o<3X{WC-KyyNju20U$*1d30cS)6LW`Y7kI*XC2aJ)F0Md*k?a@6~|Z{vPEW9MD-a
z#_s$2;=p7k3i$2z*;1A@9J3D^^ppb6(ZOw9{ZA**49Lo-ZR3`Yx?kkz5jd|5bIHAZ
zv-8uQ6p(eTDZRk!et&SE2Jpi>-3yjk`!aLE=DQ%6>E4?do>)3N8b8r))7s+$*qQ2g
zI^?c)UGV;A{KbKl?YL4^a6NwDeYEfK&z5C%zcN_naeXr2wz*PSeK;}VbI%~~EFX{Y
z^UWJr6XF$CRZxgQj&}rjlKe~KRcnH!hCo87BEpR+y>X*Y1=!s!(%5>FPIi(2&y7P5
zKba3OWSU|$VeHQ-zfYzv9(eNU+Tba_U9}J_@Vb)~#Eb=q?!T{veaq2@fU2uL987;+
zrAP4<f!Hkb#mLp-@R|NUBe|J{fg9@L$2UO~A}d=wE0#B`^PA{#V2ZOSF2N3QpSOKH
zc}W<+n-b=c9p5VtO94c(PIIeMinuZY)MLpWiO<^aVSq4hzDdg?o`Hr!ww!XA*X<XE
zu|2IK=0l{^IHza@KA=3TGbA1g)Y=~~AEJ8<?ha!+Hf*Kb`ZZ*RsRO*M)kd?)oUe~H
zfbioE1U0}Mn&?(*YmA-LupEHfifu@dcR4y9ffzel93CGIAnvl3%(l2_h<QI2Uq7!F
z7KCbwclz~jLQXkQ06<lJOVw@AmyiXreC3OW4{+-*kN|HwHe8iFr-;M>nt@w&+_x5)
zouD&)1c{C@M1g+Cp6WOgH9<+J65Ktw_1P#mSOdic6MMiBdBE=97*%+Zvy+1W))}sH
zzX(w$1p(^tDN}3GRi__-$5m`6RW)SQ)yo3*>DBvNsr#0EWsIPegiQA`3y`&z90Bli
z<<$Xx{8X+dWW<x18(0V~YO&^U;$Q$ZR=cs*SjZ6iu!jfj?Q+M~#IkEqH`Vd~@6_gl
zTuO)Xpc3HdH0))jEfENS-KoiM*sCUp08L%+UhMcD+OQ(v%{T3h-BlWe;hqEFl|xlV
zz(c;4Gt>@VqKhi5iCg<1cKhBIa_6TrG(>*v0DYP0n6p3S&))S<!}y7-B2HSBj4t<f
z*DeUTBn_c~-@!cn82m%IUao2?0(@_h>7I6AUY*XLl}3OQZ}syh#+Ef*gS~rx;b3(c
zz05hwpupE%r+t2&xVn+W5C$J|q9~EeCv{hrB3WmHv{U+I?JI71J)y5P>OzCJqe7m?
z&Xt9sbq=2%Z69?9JOj^+m(AUE&5h3dpXjyJubQwrH&kAT0A4)NclPI_jnu+Or)d~Z
zB3tMZzHDeLbd7XU)L#ck=$0R!xW?a_FUD#X<^p!h?1SoTdT|Xp#Z4IGC=6~;KJ+7t
z?4BTa>%Mu?ZlM7)Qaw<!e7Ux7t*`b~V2T?8%!rZ?Y#fZGp}@^auVi|8Cnd!V4gytM
zYYv8zCVL$r>O@UHAOr*!ItTm1!1c=G<w*x0Q9tim$XVQ>;pI9tGn0NyIU<QH0@gKt
zzjaYBzkQasGpcMr!*IRl{ahtZwbdg+E49!0<K9eJvfQANoFoF6CT}PPnmp>Ajh<V~
zHP;`h_~5g5MCD!Av(^2^pKg4Y1j|SK7l|GM9uqNXqi)|SkS%1Ehg^>lXtG~$%W|==
z{hpZ<591k!Bz{ib`_LN3K3<aaxqJJ|9tCiDuD3rg1X2hulRp1zL`Q&_p$C<R?42zD
zDt)-@JPD|Xiy3{59(d<y0X%PhzV+`eiEe0<x0gx&!oWR>6M9D}cN?tkX?K5O7|!7u
zoOd@dH_HC~V|Nd`U(T;VR`$)^ejbmW`}`j7890<dn&cbN#lYC*QlDwpD|RzcC3vS{
z+cSYTl!SoK*4nSW$3sM)h1c=l?YnU8sjEwkBH%Qwp!ev;#l`o%%97k?V?q@-Ha)v@
z-on_rk9yrV=5~Ee5?6?iDwWLL2HARw?GGSrni__VPw+-WR%5Mik|s|lf;#c(ums!M
zSLGc=`Q6M*wvxL$kB#r)=OhTkfjXf}-Y+y)@MY9YnA`NT8TY=G#F0$2;9i>Po75g7
z7>{a8DK^*``E9SRtjG)tGM~>3-G@n4SMPI;d35vn?T^i=VXhrm@WX;zy!vJ9%WQIm
zjQRN6vK<|jL1V*g2ixEVK2w#SWftNj1(wmK52ERlq3L8iw^Ic@rh+E+6{GG)OH;!>
zuThY2a9D-HpZc=Zb*23G?sOLc?|DJChXh#GsEqzK<@)YBslmSJO60XK7Z=avpumsD
z^D(JYX21SPA3IW%9u|dGRlS7(n-lE;fsFRRznob%;WV$S@+GFT5Jj+?aKq0Zdhi8l
zQ{HF0zao#H2X$2Aggebdmi?=o7goAg<!u}6;h@&NbH<F`8Y2D4JMX5bAc-Ft{Xo7E
z3*!Yv_zyj-9SFHQQ8lPCol#?yx#+{?h+dr;x!A9<4aSRgGR+A(Fq^NtQt!d^Qn=@O
z%L)1OV*i(Y)txU*AQFct{WTPhTM+MiHkl^4(m`^m-X9?Z<0ZvZo-MEH`l!?8eag8<
zWe}YvPuK|uX4irbt$wtX;gd}ilY1;5X04P=oQJYygK7Qs)T2$scs>VRP}nh7zFd<3
zAr-17nevK#8F$-OBWHiu`4iC^xev!(D;jq|krbo($z{mN`rU@7zRPdBrdoBo=p$h5
z2E!WfO+7+4(?v=&>1m7GBF^Sbl#ILXUpoN@TbG-z9B-g^-QUQhwdH-QJ;KO+J}%f}
zc>%)g)pYdPFHTQdV_loGanf%;eoJ^<*{ufwK($l+lw5tA($BAy^G&E~jmv2Jcqg%B
z+)54ViKYabdpYT+%YKSgDKSd9PAOdPn8~SkjNPEqsLNYz+E!Ne-~38z-`XEm9D5(}
zJni;`Nxlk<J<8v0b*LdDAm3XvC1Y1ugmHDxrP`ZV;CK7e7W#vG8nY%d^Wpf7x%I~{
zoVF%kA^_P0VRT=wuyX8IgKOnah$I{?gk+CCePgvYtYOn^U3O7?I4Q9GSLcUsb}1P%
z%{vY^mvSMP-WdAx&qqXV_cxe(G&icb_#qqOQq!3w1HOfqqvNym`N(;v&4En;cJ~Ow
zvRJ++EV=qi15yLZ36<MW`Z-0faAnNk63OZk3&PL6xN;vc;C<2c-dvel^V}sx97K?q
z`(5rD(*bv%yZ!yo;@b9x=6v`3<*>@X*J10j)RWgTEhODc@)lX|Xqb3>VFUOv8B27V
z%JKxfJ^U--%@PQJW(hbxn%Hv(E&!13<o4aixK7ZqxQMZ3xpeeR&M@GmoATpoMyJeU
zEG!*)fT#UKs;_iW`(A#jPx+6x`JrVwY#6VY<YDLgR(*FP66#d9Qg=4|l(#wYI>!?R
zg6EMN-&n5`cc{d~crjwXzunL~6?82s4lV>{5Y&g#z1uT1Tkg$E?RMBB0jukwQG+i4
zB`?QQyx7eXZe#D4L{b21$6pDg$?rnYnO>nuq#^b3fHML-=$zCxIq?n){ho;46D)XF
zO9aky{Fpq9Watn?fH_C)pNd!GNxR^@lOJ`OQ%&b2!G-g`+k8BB)^0gKA!Y1hib}Tb
zsLLS0h(t5dqe+n{4Oy&zAXi_fAA!_`^K6$@E}VCrmS^a?cz*yox=A@#9?Fp4X(bF^
zy((ZuR4t!?0%8B2Ef{Z=LVp4XuxIJZ9b^VI)EavInzN&FBUuAq{c74w#-Yj4Tj#F)
zKIj%u)5h>}9ER21?265+%ODjriXvHnc4Kbkad&l-byA!dc(bCseb++oZ(Ae-5X6uE
zA?-WJgMIYr$HrZ!jW+C|=TDQE)i)jHa<c?@O;%}X-G{Pe!ocu}&?u31Uoq!S7*Am*
zlqO@_dLa;THLWEuYghoR>G@CoG;;tFaEx(tLWS}u0vv%pCHU8Gqk!;sy%^=%SM4>f
zQs6@TX$zP3l1#rTW*!935wDnqmIC$7ViO}d0Exm_kja(1vVYY7A~XNR`G3Qg2d*Zo
V$Lx>jQ~k3Zu9br&-`q3q{{TeVR`~z`

diff --git a/config/data/grub/background/background1280x800.png b/config/data/grub/background/background1280x800.png
index f563ea632c3d9b61b5d3266f2316eca49f2df34a..8359060c3738e80b13b243ebc006096a8faf43eb 100644
GIT binary patch
literal 20038
zcmeIacUV)~_BOhb&<RDQcNIaUN=G^hf+%32_YTrQI+7p?ZaSzS9YIBr-Vu-hA{|7f
zw*XS4CG<}23UTj!&VA1Lj_2Or_k8z{n?F{vk}>BT;~no9W6rs<)*srM*Qh91C;$MU
zQdhfr8vuyGk1#GW67VhXMbAC}Xi}+PRl4g7SsE;+R|J5o#TY}Qw@dY0<@B}Ik!;(3
za)&2DS)d4i03c-eBbg%ps0cvuZ%|tNkrs(RA^{@&+wVycap7hEQ(ym$6c+#id;Ir$
z5&9xXAsO(a6F&bZg?~@#zcT)R9-=SD-uOoo|GiniCq?k-?-~D}rSPu#MV8+iUjH9j
z{1d(YMe~0_!haz};M#xc>%WmAaP61p|Luss7|Dl6;P=@1ds4p~{Cmd#p45M1y!rok
z9Q5%&VE=#jknd0p<!r@QF-#K<mf+O!eYB~w^9H7-)2PhMD=EqEMT)d-gS6e*E?-?;
z8TQdnw+l49_|I$JTF~2G9|fJr^(*yp;XO(?K>~!-h{S*OA5WlMc(H%c4e*b@{Ksy{
zkoazXiTz{Cf9mF6o%~bFe}D43eWH((4=r%a2neAf{M!>EMZDIEgj(^RPX3Sesma?k
z`MfuX$62)V0R@ohi$O1&=z`^~%tS_-iL<{N<>Jb#K>?uf%uBtY8AiE^N&P8?j)wwx
zmCe6L?-|Ge$Iu%yv)}ilzk>t-8(k2m`zo_}HgcR@i6wE%c}xI+hl`^pWnGP<XK^io
z{}SPw<O*h+hO>ST-h5`Z`2zyrUF0SuZQ7A~MrCVF`%Sdx3wqcwfzU_w7j52XdOV|t
z9-k{Jq)3altLu^xcyX9#mwPi&{d1BYgAFU8>x2Qry(E@dG4({h#lAf$f|C6C8DqGC
z*Bx0RDkpx48N|K2?8P8%GD33fEaXhztG2sBb#xa*T?eTL2&19a?um3KUG$nQH!&jq
zB_`gf-ktY4al~C#n%RVT*=}zshI#}bnBWIR!~Dc5-=?V6yUVQ1<a{Wb*^nfRxAO9q
zrsr&L?WG7!o}8xI(2!M&0Pzj_>d+b{2n4|MWIplGVz$h|Blhry+_P(U-n7@=l3AF8
z-W=$R-mfq*`lV)vMcvAFDf)G7>^l(^j;@rF`7&ne9<5FG`(e}BroeGeRR^Y>-=x<I
z0)<uDJ6R=~f(E?0+J4-Z*i5{yB3P8Jl$%Ekm>cvNC;<TWdU{5LFRP!FYwP;1`|NTI
zO)j^Np!TayqqT9i+3TjQPa%LXzMOA=F|3woPvx1G&9L*BJ>2zO*zh<@GSo4*7Qt-e
zYjH4=CmB{9Kp1~8PtxB2TX*2oz45gpY;A~JrQr3AG@rTb-M}Duh0e<LyB||jbZ*`3
zZ~wsg3!VJK+GmODmff<cEo-5*(~Z*~V`c<)ZwHCHw#%#+?xx5lVSe<5yEr;)&#l0Y
zIf%ZO$~u!OXx5`(GrqspEBkDK_kwMYDMt$X_Mw}6+PnHL&e>hrxQL~#iU<JUPnxO=
zsq}#WNcu}7^EK!zyT%+ntfH>ZEaK19ZHR0dr?(?!FrsZcEUT`(+e`qG9Q4TGPv=Sl
zY}bL&htvTL1OrZ$dCqLTa<}rJe20|a@FDsO?fgtLQVQ)pC2!SJ>f10gy9ZM0i7Ga?
z#HToq8H+mSd8=$c=wrIzoLoi@$X&q_)6K9E$B>J^;zv~_QF=Ocwk=R$&T9bv<S=)F
zhCuGbZz`+-^@+Id+T|siTlEVxgpfe3G0#f%%nhY7Tl4+$F9CM_?iwJYbz7t`ag)Hu
zqBExLq7L6?I&Hmw@i~6sc^ycyq#rZ2v7$y`{=+9})Y|adfqet4a(Z`Cn(VKb)orOJ
zN0F|pF|bF+@IVMrFP%1f-mbs!<HCk$;m_pDzd|eQj7p01Q+SU6bg12h0St+ZfH!x7
zod=?SsXJ40%QaFoM<Wpo09zrNxy!b9f=Q>F%6GY51kezI>ciUwekQwTqA@d6)dt_V
zd>LRh_nlX$2;7L~X)$5AA<~wVwlotgn_yI~aQS@BX}7`1PzX?Ey#N3xij>gm_Y3^z
zJ;qzsn*$Xl+Jj85f3?X~PqB!$YkADe+!KTl$mw#xEr`l_$Sys1JOlt^XmbFmD+Wwh
z?{jKcaN)+8H_{4cC2zlOkGl8u$7_(}Yu2W%r;@CnEe@HEq(4)+HP=l*AyZ@cus0})
z^83%ZE4xk{-PzUbT5~PCK_BC?jjLCz(O}{v05dvdRZkgSdm7Ukupam9f@h9#8{e+W
z5ueaZ(tQU{XO+s45kU_-Lh^fpu*nUSGHX5S$B)yC_IOb^XSU{%Ubk`;t?61LaQhhq
zC?W<O<I?#m4NmhptV?ATb82@%`JiT<WT>5Y{dM3)vktBR$ue=@y~vR^VH_nPbF+cI
zyE*W^y5J0FYtGtU?Kz(jQNN25?e*3#rbnx?Mt(Yby@5fFbM&<USClD7N6y;JsD?uO
z_S)Ei9S`%Y?PmM9Tec~N^w>}4^z2%is?*-19RlZX&v@=O!$n%_`d@WD-Bn6&^(m|u
zALOwh2=+xKul`i`EJ;t%eRU)0@?kA6XUDYP1HqK+_l3M`b+s?-JW>xq6htc)8s1)f
z|0{1L^gi!Z0&`SBwx+^}A6Jc^+ZMbeEed}7O>2q$*B{NYDRXNZP61elXjk9MZu!Qn
z&i$-)1ghtKmP4rYN2JN7SI!pKUK(M3HUA+m{+6mAkJgWB*(5%{)6P86q%fc|9}YTy
zYDbSwhofNpc}!n@nwCy|QspzwcGcn(2^-y;LUpy$u0426#p{!{O%KcB@>%yPQ_7xN
z5TZ;lyJ@wTn~~{mVNX~<{ZpUsW^Mk(i4rQqSvMpD!o^gc>*&1hOj)Z4yi}hWGs8F3
z)}$V8+|m1^ijeA%9dCao?=_ySpSf}&qCu<COgakDr*#&sCGS(ZE%JV4QZ~8ghvTks
z(CL^tfeUvguyp4DMRowFdiJ4K>L{jGWY?RcKt48Ysuy08vYC~5-zHunDFR_LVB6<x
z!^_#8^X*mFon57mPjQ{xP5jaT>Lgfz`2p!d{@lAiUw8ZO4Yg`=ytvsW_eJi7h|LOV
zcI3L&ZYkUB%#1!6^f;*rJETnZ{&<^VboW*2P4Xb&jCODD(%kf((%qf|XC7vO9#wMy
z#ST_%?L-{}OHpoC`VWTt4tA&9anBUA68kom5A=@25$+ZTtlv|b2;MRFHgZha6eCJd
z>HEPD>6tvuX4_Z$jBza_Q0_QaR(Kg~m+}LE2AFis1Dv%5I8JbsXIqX&2l!FhEach6
z>U@3GRzK$|7>NLDx<ma!zFi*xtblVYBv?nkc{@LsE)*J1+n$|%_krjAl-b&V-)XH6
z>okBH5tz#NJ1h_QZqEwLgngw~NzQ67k?B-A;z4j7L5?Rd+ZlomrRIf!RtrvV1lk>l
zQtO1W8P}YSE+NwEyD&4th1R!BzE9_g5R5KT7#8x>jFU{@)JPO@mfYVHwHcT#8R>a0
zo5nelbRe9a`eQiUrKqABT!DjgALM?Ue|4hLuJ&+&M$)Ur4`mnb(3Ng$oPvy$F?XGu
zxMkWFQ5~NM#(D>LQ|<8k%0rhz=jVh(Q#G-a;Cj>Ou6i=JO8iBeWHFQH7rU0!+<LvL
zM?m*>$E+`xIehIhb#`ga<bW@hEZFrC48li!1TN!2rvDuOT30jxPLbj~w#GFlYF_aV
z*RVk9(-9q~c6D7^Z0n?r`4)rXg9yxCAq8_q(w*mvyPR7qQ!)iJG7~%N{SNB3W(P_y
zlJGD0lcDY+9XPt#A03^Y_uHJxN6TTCZ|S{vE(~xUdO2q`tdk?Q?XTB2o|D7-vkzjg
zNS_Bi^(Bd3?D9+BFXN4ln6n2OCZlqk)XS&U<E?@7>hZ5|UEP|T*IxHRDAbf3%c$j4
zvTt3XmFio7gdqy&(rV)vE!*!ej&=_bhc)6<<GI@a?RakW++2F$OI1ZXbh=_ZnTEal
zM0uISv&q)f&<Of(Fmg!5luqrF7%az%b>*_4&v4e8ia~NQ970e%9uAxX$82~W^4{W#
zRLzcW_?Li89z&yBb-k4KX`SLfuQe%Y`io%W&k0StR<(PMb~levc6$4%ajVC_;q~S`
zv^rvq13$YIY&Dr*GC}`QSIE_z(22PB)`FjlZhJALHYRaha`eZZNn<_Z4NzNFB&hAz
z@hPi$F?*H8l)9r#q$+GrpAq2pGLwWP^7{!0O*+T}-w#6(px`+04D5VMZ$DBneea~E
z(2>wxBvcvMDNYxhoxFSXe0c2lz@y!o=5Wb%L(`6ks_t_xIW~qSgK`tTL106IagL+|
zG?yP(Vt1-B=2LX)Csa>=U*$y^O(dP8U2$oHxK2~mh9ah<<&}G@)9M^taZ6Jh)IAws
zb4Vt5xNqfUW%*_J0*BoG&FLBW#tOFgrRDXT&K>)HG(yvbe$g~{?vog41u;4oqmR_$
zxrbnQe;6(um|cv5`oEx$@}tS*G8lM;ROQnr=F!g}eq-o98cy$uK6hVtw9Ry6M4^0e
zWZD{R$qZZvTgpVl<ea=5)t~9#n}nqQVy{?k*~fZ^dU1RXBTzOzPiHN!QEWL(0m+zr
zCliXe^Tue-yIT+`w-N>Fs)fWm)AZ1MDDhOt`rOCh<|%jOIB0xR@)gM2SUNhC1^Z_h
zgra1KQJAiCyhEny)162|!}_8C`I>Jo(|GL(I_OaskdR$#e0=R=hP9<>{6nHp{g}@E
zkeY31r#=JVI!CqSnbuqX7?BEBkLS(+G(fdg#7UgpPYhqkz0978B)M-NJf)qnZNwRH
zn2*SW@P(Qpi2?Oqhq8rH^hHpb<d_9l$_5YhFGf*|WwLDeDVfpi%~Q=Q&dO!#Z&Sb_
zENNYs_sK6xvS6g;J#Xk}HADY0@UTxld(6|UZDpl}>cPG;^xg3MVj@MGKSrC(tLzk4
zr1EU3WOa9d@2Tu>-+msxyGg0}@K0~TaS4*Hefh*8-(rGjoZaKJS%b%I>*9z{Ry?j5
z7^wP0y0{$Ky^?C+CIYtjMW4z70j6?dJC1z|Wi<&{jrH54MK|v061-E%P7~9UxmBl6
zz4MpMzVnR(G;QmcvK+A$>xg$1nYrI&$`nb5`@h8a#gb}E=P?Hy{^?KNRtm#xuX(x-
zHY_a&qu()aws0xk4=%~r$y1V%E1rPTsb?bTXqCHWEU4C{kre7m5Vrmc)WlrI1vDP-
z#&KLOc*+obrc*wQ>G*6uSL~Xze1t2;Ok5_)I|I4Lw0A;HsnLx^1anH_QMtw@L~wwV
z<0?MU9A_JD6X_}nT3ha=qlt{u2C<tAkzUT*dsc&_twk9Rg)b_TxxJSEG;^eQJP?7}
z7jrMQu1pK3z4o7&-ydN4^3qd(0P$T>e7<Q?H5)09gEQ|zZ{O!JCl)iGIt}Iqkz+tS
z7Vf+gvsVm*zJPs9fX=!J!Gldxt~6xXv9FY~gd&Qd&>Ld9bWxhTLrP$l;6;H*er;j_
z)^;l6?qs+*eQD9}!G(I=?6M1G;Zk&7iGq&4ovSMIZ&6o(B>Xu>0f%wD&c^4=LtMt$
zZ_H{+#1$mLY}cJhgMy>{O9xk2U!assric1cv@YXSBIxCk=OU&mGiQ&(v<xvV%TOvx
zERH(NlTI(A8j2F>bS#?Xdq(}oR)Hd<o5!D&__02bienpYF0>sfM!E`$kUXSQpB1e{
zu++Lo6e-`<PRpS-ZL^Pa82ZYP$_2U>rU)LG0r?|=AEP;^NP@NLPDAdU9c5LnQ|t@m
zQEXsOr|jwQ<4iaF_^kJtL%IF8hXH5*@=v{&)zEt__*$<5sZ0!N=TT+&^;z*)K!qux
zGXO$ylB{%UrRT9jp!Mz<RrNj1k)$d+5W3^|5&=?~1iIs6cF#d+k+iee!i9pKho_>s
zW0M#CZbF#1fY2iByO{{2r7HbUig#06?4OwQApAD?CVLB^T;+0DtD?hvu4#@Il3=3S
z<?=Vwlx}NJCLJ<D(#qTAG@*ZCFDOt*N2|)Y?O3#pXn~-7%B1J53iwijIej>Zl%@8P
z>=K2t?lrgKixq*d+d=z6k(!5QJA-D>66%HcD5F5@BOkJZ)>$rEvX>R1K>(4&Lb0zm
zuKDiRv8xC<Bc%Fpd(mz0lvKRxdFsbS)CbgEUhMf?DP9yJEA+H3tYoIc2y&f{eR6zV
zBLuL{W{8cMX5<z}SPbr_+F<NxP}Q|T5u!k&CIzTsoVEO&M_qG`iLM_bO(ikBe>0<i
z%{U3D@W-X?a#s+Owaw}-3?^sIdfrtEb)!LE&dZ$@9qD;o$ZvK9qqidWceBZfKAl@p
zz13QBfky$n<ZgM4T(s1$!>^N-%bQ)PVnm{h@5CxH5xMYBe9G?=#T!Ma;2#*@e>7a#
zo}tdZfqjP{l3}cVZ(YiWuBG<e(etXbYp6u1!mXt|*U@QgqkBkvX(AAKWp!)flRM|;
zS?u7zS}pft2{JO6OS`ioELc0%Dj+zD1KAO>T`cQ6M@jWJBpMwZPSX48*gp^ed5=-a
z5UKE}sr!BNvqV4aUEf9kr0;VEClKE#DgSC=z2oy5DV)58{)QuBnDcEY2_i|g6d<-X
z(c@ByJ{S6O)}uiByIx|o-+Et<<lkTj3Ke?4{d_)HYwwEG{?E};F=Ys?vOZ~0*sQ;4
zs0D2+)-RA@)G>o~z^u{Ub$BtjNaasBwhk6mT-mmJ6<}IHGTQ>DEg0g5gBVgLGlq?M
z6}yb+URDKdVweR)1dN6s;u^uoWB{v|I?d3`%yZMb(^W0?EJwH)4-w^FwU7mN`!8JV
z7unRqHM7Od<#iv_4FvSQ;0j=?%r&J1Th>DG)2?Z@ofFXkKi1KAj)1So&wr>PV~ZHb
z!fvaadt{hV*fq&Xo2k~g*@0+y`+762;>BOV65Uwu%&5RFe@OFE012eJkx6YptxZM4
z5IV8ba}fX?H{12;&oc_sFNV{+S#c?UrUQo|nyo?(V<R`2m>`nC&ltto9!M*8j))s8
zv@}M1pG~h~>kuceGbT_rb!lX>^9QSKZD$}R;CRxR<RB<2DoVY6L+VtRRl;K`uPq<B
zdj>5neFAN9=T!WI9G_Fx@EdOA)%B2YQ60du5li1iG_EMxt&S?hUQ{*^zmlzZ6?{1Y
z;ZL4CX>}1FOLE6Dcv08Uy6lRfkQ7<LBiGI6W=M3QB&lSl%}>Z)eF9FSX$_|M=Emz8
z&k}t=KD|g5H>L)5L3iB6ll!^dQ_AI1P$p?gx9NRUIflkG*hu8Dq_hNVqV+lokm695
zfPdQGMxtq9M7*CB=gr<*s&sd<oj7qKZtPbdS7YjuR-DKqwR3tO+6Btq7^5iG`?luz
z<GHVINYs?B`CY~<if*HnWb{{I2{ADJPe0AF&oJ^codI7IfC{LKbs{n1T*#6fR13#s
zZw$L@?l8ky{fd1Mr6Cb+gnClNtZjaX>VeUor4<Z~(Xczg8&7HbS(E3l_E(2>?A+bo
z^;KHOmOL_=AdZ&htR=z(!&Eso&b7Ro2_R-|a)UCU^q}>50!*E3ylCW|I8lBsuzePw
zjmOj5t(+4@7V@IurQ;+nz{g%QSP$9f^keaeDxGABn6(kUJwr>2d`?R%oXSL@ocH9B
zk^qWWCK&X=d4LXt;zZJN_x451bN&kkUE_7wvc$$8r!$S2w=Cf1Xp#mlkt${Ey+=qA
zv=k(d^XL|BpkF@fNq`E~G&z3oUnuS<yB2@@BaI=E&miK#0P0RU^?tMxzo7Frl_EF!
zIzJ8Z{+xqOW?vq?J=$VgSrL9-xDabjt4H#f76Qw$961SUaSJ$)2esF#k~N^%#EV4}
z{#`V)*`FRlZ3e59Wqz}jpSRA4e38FwXW(TfyrwN2cbC|ZfjU9a{E9y6k1rYUrPIoA
zpiMZI8s81UH$QUU$$Ed#85k)Zn`##uRI@FrB$i}*<QSva`*0A*J>B;J8Ar7*T%@#}
z&;#ihFJ_~#WMzWh7KMLmfZi>Y75uv=>z9>-n!~Q1H!FtiA*6<G)--J6ls1&LM3R};
zb9d)UtutJ#1wI<=yK?!(n0)l}SeOY7MWPSAaQc_uAhl1(#FXGY{!6V-t5PFr>+{9v
z+X59Kp$+=TKY%;LOO6dkx9rPN5kd2$+Dg_a{|8=uem})END#5LEhXF9Lit=9@ljL#
zX1E@>{^ifGk8Zqw_xLKh=f0hsKRl1j>ACqAB2`!<bL4hqG4K?!MP$zm_yR&mDBF{|
z<Y0E|=Y9rUYB#xF&}_U#XyG{~4HFtX?*gGjUou@H-+CONg!d~X6XeGeDUKc=TPj%$
zVvOmrQd1`JGZJErxu_#Q@-le)kLtLfx03z!6}k*URO=6w^5TmMG+8zbaAK51>kXW*
z_(uTVfS$}b3W?B3{xBr!U|HKstvp<p)xLQB53p~jBA$Cc?~XM;zGq>5C3l}ib&%Ek
zD|QtbBg8JsVlGC5l?YZrq2BKa$6OrA0r!nlh#mq7I@_-$J@n<Nqzc7GcWA%Bw~@>{
zyLwMqFBl4V3;s=`=PfHvJ{1k|C;B@wUx=}gHpx^>DRM1Qeu`5RQZ5w9rO0i65|?kI
z(?vHy5qaS6QHU^BIF!UWc{shlaiT&aMj*f?`-&pGyFS`P`7fHcI{6gn`RPEZ`r9-8
zqAmq(G%_$LSVnSCfBHJF`z1e8^N~xf+X`}Wd}124MFtU7C%eYdc<xRh>3yYuwHq81
zmto^pSH_>#!V;p%ot}&{>&q&&7m*R+@lFTA54-9nqVcHb-TNRqy`1YDO{!}p?3d;~
z9Rbw}D111FxZ049F?HK82<9C#k2F0+b`BZbYX?ZFXR7W+PIfc2=N{a)Mb5Oe?V>ji
z7bfm}V{r=MCFhOLMFC7PBR>(3e-6Ya-&?ulP4O2_S!j&xaxRrQ`~-_z(|TlLkQ@4e
zf;9HwHryC@cRD#lTkI<;mj}C;aXDdPB=mIV0DOvTXl|R|5qHi)+~^F=Vae7+vX6Df
z2$B{%IT5;*y}O54q6K;RD>u<2;1&=U|BBUMPOHGiIU-YR2`bJpO7-bpFjIoDR!pg*
z>3VHWfE{Ju&FTE16sp~EQlg;mkNhhP%PqP~1l*cyVJ!#_*^9ua`d?nKkE(xs&)xp#
zU@KkiL|6l3P||7;hGxLjj?U(0$9rbYi>?^r(%J<YVVG9IOrJ|P!#e-q`~3Efm_?X2
zDSv=`@m|2!;M1ygD0=CAGq>6LQmpGMlh7=@7YMX(J*BY$F6GlMu+hMaForunw89Dx
zJbWA0%`H1o^P;KpqVcDSJ}5f6JvQz?GV+`l^q6gPUz4LbxGXS4qIb1`gJKrb=E`c$
zdWU=m-SP5}>D}sQeLUp}oR8y8SWinDj82P(P>%v;8#dV844BqOW@P|rZq9^?1!DG;
z7%B|O>~}vPrO>wMkqbm+9al7AWShZuL0w;`myXb0B#VZR*9%|s#KQ9o#3@@4C)~<$
z_^NswRDN0CVrfusFI6zgPbxQ0B%;b&-qOSQ3y(UY<!H)f<$5xTBYJ$dZg4!>m0+fb
zf6IIT(dR%7VHLl;C0{RDWC}45p&BgUCz9Qy5k6$OJw2l@qkn$r2#*gT-Iu-B3@DJ)
zyM6W<_9Z9f!~qqyEaxHfmB)Z?O(>`0I8SOxLm$FA<5EYDJJOjIDpK{KhnZ=1CWF=Z
zoLb3B29+z7=EUTXXvipT{fnH&y*xI7At-fmxDKy>9=LI}&}?cvFQCusU03vlnc+I#
ztY=Hg_*~~Xw(HUpAaHMV=l;%`P^e>}jS0)+X(npqmE!wL<Mk_O-$OdHoF4beqo5g+
z=$Y-Wi^vmajXEq(qI3YXB5)?LVA0OOH&KMEaJXZ_sx9EF@Flyp(l$@X6DkzbTTjq!
zHsZZjt{*GaX6oYK^8o@PE8WJfA5|=Kt4YC-i8C>Q;A@n~x3s9|dgqw=&{p#FAEz|T
z?}hW7bP^Cik(in-C*UYUjmETNmqsgYoy#mN@y?ie9_*lht?^z(^2iVi@=A!xnzwa!
z{~z_pbyuE&g5jU4yxtE_!HfiPEHd)9%i#Ed#u$z#IGx^e{=HU8wt<|19X_alTD}+V
z&7GOT*kJ~AvM{Y~(vyH)@xlPR4?YzMagUKr%2l=blCD3y3_jRk+KzgLxAnKu74xSR
zAa&B|C@1MxOU<T*24XPK0z!0JOXlqkM2+zzIl4aPJc3AhKcliBIZZQ10w-JjK>KAe
zy=Q<iFXQBBeNnS4&DI|O#N11BkJQ4|%5?46)0mgD?7?*FK22v4?OS#)=#iq4(=ScR
z9YSq;I-&R>#E)l3-nq^9idAMEgdVx>`rAtkX*Xn^KtWngo4|zSygMF>hD?36Lvii0
zNtx>J6+8-Iz4TDVsO1dc%h6~9F>hBV^~&RZcPZdIGY7?o{7Jc?xjJ;#P-U^p43k(v
zuq8BH{ru-5OS(MrepKUm^A|F{#>3N?!IYMWmYuKij~HfE$+GF5(M4*1$s`j{zRx0d
zDV3JbQoQNLw#1u}!W^SC=C6D5cQhq<0vhu0?7n;K-jZ)Oe7c|3{A9+CO;AUX=&1-7
z4JVjle^eFR?uNg8z*ER|gBO;Q-|{&@v=H3WNjq}fn3<SH_nW_WT{O9bF8w?+X+2E6
zM4fY#WT<lLv+F}gQwmZArsyEJ@wS26kLgKt80u&{<N=0ypcbCu50Th)a+*pS9L#@I
zoMUdK^@gd=#zDbDw0XV@BPC=gSvOsK$zxikqQsruX8nBB8lbYu9qti-CepH>OP`!%
z)?BfO$Ex{6`gdOro8mA{S(Ocyh5MGgk#quhlaA|nYqZFO(L6XKT$U!Az{v@VD9<iD
zLTXOr!ju70&N5w&1lgyL9}bOIc4)_bK)db^mc|N=Ex;O<<PvlkZ!_}S=Hb$vt_uT@
z<oyPU7d2F!<_8zt(1+*`J&zU@XtwGVZq(6!c6s>uDeC%dKR1V+X3r*f(N6YAHWIY?
zZsk(jA%E=+yO)unAxn<(iGQr|pd9v@x#Ab@rVV~Y(t>;^MuLPnBf}5ytLZ}~Hci}i
zXw8kiP9yvBC-p>uCiR)q<{!1>tr9Y(owD0dSLzG-zpoEpY&h`rJO4rpx12#k&JacK
zM<%@sms%@!+p$8U_M3i)CN_TD6z&K={Y{Y;+rVtc0ySJaE5atse|WGaPAW<&nJm$L
z*H1Jc+(>GmhKe`7i2V*RKDr4rN86fpIbM>Jm~|!WM@+h%vYy_Fg^(IqB4aO#q7hV&
zlsauf*u#$xhJ#OupEmcG_w~mVy=xTDZ)EPMSYl5%tMPCMx1(m-OpTynLPFAsg1B4M
z$?SdigsUuOnKW1=!eQ%uuvgwUj_16D5gBqHD_UBg{J80u=~Q&4=z=n!uR&RKE(UIN
zwr4M9_9?Q|b7b~8Qs4ibeCPV!AB}#r`Xh`HHkeBy;!mHz%$>-L9AFZKlq&lzE)HZb
z*aC20iVh^ZUJnR!IWh{`dsOW6+|JLUr^4qK!c=?hYJXInx1_hmNzRQ1>_a;k_26tM
zl7x;#zLvPE;=0S`0%~c!O*DNaE#Ky6PtYJLTCDc0<En|X?-Lu0x)4punN(aLjP<j!
zZdW2n5I{0(;A@ApYI81Kk|{r^(UcDDT{q}9VE`n?gs*^1B$N)>xGrxyjgv1Q6&@)w
zIY3lxpDHVcXrJot)7rWDW4X>x_(h@6AYy!R>a-oD-_hpw5Vmecpw25e)4h5rXgQ!H
zW2WzVs6f={Uj7Hu3=6}tOd1#)KlwIR>}<X(ReJu4O+f(7yEw~Ff743q{&Mck1&5wT
zG=VX-6aqad61+rZ!|nCMkkjN=ZCC~iNf;+>x<%144-96y?xj5DF3~JmQ#Y#}o4h@U
zL<<*Pf)^dsH^?H|SMPrbdp&7-@@VqV4$d?x82I7v;)lKq`S`5yE2GYlA_pb_%-%zB
z?^sit1{BF%oS#Q3sj6Q9rpPh+TnpM(9~an>MDwn_<NfN|y8KzhwFl>)*sxw1zj8Dg
zMFnwIBx^nC+0rE}OaADon~*D&x3E#QYQG>`9XPA2hfH<T9B0+zs6G$K25`vF%e~}Z
zh-k04NVEYFKmqBM<a5s-JOJxLQf`V4sY~T`l<cGT4qY}>!RX8ePVTjyfzWpb;-^{J
zpbyWTdH{(G+L@zHP{1&4!eRti_u{BY<STdT`Mojc`ruvOXP=$Jr}E=<=8r!L!gVB1
zQttV)`)-byyPR;TC*8t4UM+?!qbk%-n*&V%_N4&IOUGdoV!%S@zZIEdf%Z;^J0V|B
zrk#7qh0M3ZUgMbE>|r)`u>T(RbP!x1#S#T^SR83iRU=+sUcI)Vc_8n;B|bQRr^u2<
zQFoIxA*g!DFt~RlHFXz;4gY@CsurKp2t-;U>dLzHLkBt6(_l1C;TlAFa9H0Ekxn{r
zBW~n7Z4sIHa*csX^6P<hbU62qGl&6XxZ+~H<NhOLQw}F<NXW-MijRACQF%Ipp@lRr
z>YF4*h=^t}p`y4*g|&d4ruy)VUA@2+>iKkH%w*mAr)o)U`Jact+2yUS9Ey<qC93Z3
zqqAe(?zdH+<YzhjJ+(_~92)_r2I7{)l=QV5((ijxtA>@CMxpS~xzicN3(BD#G5)$k
zv+3!siL`ECnrkP-Wq1ou5-~9?%ve}<1w;n(vr||a#|?)5)N5#}Cv8EnXdX~?))HUN
zL7gq1I@3J9-573r5^B2$O^ypi7AM>K@5MlP#rsml@W>F7z2;Xko1{u;PC-3~>0Yf4
z^c_maPSFD0WP}XUX**Z5=h&UuKjcgYy}Wrv^IpAKhhZRT!HF03g-3I?yJAy;8fJHj
zZ0kJT7BbK;&BFE(5KSB}|0qpyNAk1jXQc9MvWjC|w5XB_bm=#Qa^Hi<yAC$n$~ydi
z@x+?90?Jwz;CC*wfidvnQVL6|r1L#8d)jzx$0F}Re|dg^A^W_zKzTG|XnaW7>xxq7
zGPAHsl^|`|q=n^jfX8kP6y~LgYO4<;4LZSbApRmqpiB#St^d8$#_Hg_z-CB9sTU4z
z?=#+gurU#z;-pFU5Aff6c`s!;_>+by1?L_|(`5%qgh&yyzV7Z^+s*aoR$(vAUKw}`
zq(GfI=6>2$e)C6?#OlmYC6lF+`Xx}q!AZvKLJpbHp(v4{VIVEXKBX^u4*hcC@wzK=
z#ejpxarrFUzOwLHo3^rv`(p}EQWbXBeT})qZ%3AOXg~W$Es71{+{xKkXEWez*B;z~
z?+Qx$6jX41IGAy_I^VzRQXp1r67;~VMLHypgT#>I2NfA{F~n%g|DIu_T;ph(+f*U?
zC?g~c2iQ)K)G_zx!lPEKt+JRd7?!=4sCHYPvphRcc(uWnDcb4<B<QChl5!50v@)8~
z8YTJp`advXhIT|}L@n?WDT*>f_te^MtYT~z4TL?k9I(5CBqa$NGLJi8ZYo_sE#Dz0
zV-gQhAbFf%p~j_uio){y`;;?IU!-9<M~obMR#HbEQmfm-0i+wV`tN%^%H&L=pED}g
z+uGA@%s{x#UMpUdCsk8c@EJ|$ws^fgfE<)*X>3ajX>r1~aDe()U%PW$={!D)KHdD>
zn20zT84V{p@YsDY(n%|9)YQ{(?+sB7iQXo&gZ6w#I)tsM@(!6=SC-E%ikfuTxoTbB
zx5?S<K#IS+@dwefo5JrOu)7QeIL(;ak!aSFbL=rzVQ40U>q9+VA2zpeZRx+4i)y>~
zij5ppu`xWp^ZuNybj@T$aa^{!+a+oV;hg@dYz2*_bRL^WgBO!SLC-B&6N>QKLcP^M
z<F$`6C>B1zGldDt5Zqv<-DMcu=BLYEb=|D=HD(@DsYfQ|iwuLz&7!+nCO2Cqzr*kI
z&2OMP#cB`br8b4j<}w!`ij}Z2i46veBmT}*<j*j4XC1b65gm+s7=Symg42^a)O`^^
z<nP?y9hh6)B1ja(C?QG-N3ZC}cthV6vw~AAC`xxfMQr{iZXf52Q*z0beut$2YxjjA
z8@z+ZcZZPMmEjuniq^s!E2OBZh2xb_)c~7}RCJB|g|HdN$1v|z>9E&U@UL}dA4t!t
zRwSsPkQZ5*mat#oqwdt2mCUW|-8Y1sM;rPq^+&&@!uc=t&j<Rv;qqCwLlU!bAywS6
zdm5k}wE>~s?-aNtb)zeS8Ne_vX?h36Z#;fKVuhStCFZ0)m3@UYD6j6Elv^LOw*CiI
zPJL&}BBl0{MUtXDajhO_RvqYNbCfc1WfzLC8#Q8=&|Rq}DkgI(YSjn6YELg<m6p}w
z!s|_Ods-{hQGp8RjGyE*m-6Fu!!&R<$>dZ$+trsg1PA_Ah`c{E=N<asAUiwTK;-Ci
z(ucwCyWtNZ)(vJsU6G&KMdi7%qQZGcX+Ot@E>p{X4Ib!ha-2n9CH3#NrDVvZ)Cuay
zuZz-VFs|NPs86Y9F(j>Sg@%@X5@z#6ai#BROjYB~_<)Oc{5tGoya^ucAAVXSXA(=n
zLPvcS6&fh$qDjUCXR&xq%oJ8j&%`F2x@6j~3MYAmF}!TMn{IZ5yGrUKF;GpmeSh*J
zN9VPE%U4VWPV`+T5_ay-)w(~v&Q~)XRZPN1A)zLun^-xoDNn_dq0}v44v|&mQUqpK
zUS3}1{qecIc%u%VRE{&tlJ@f!!7p5^wJBjl{=~EcOl1A!DWY_*AW{JJPZs3k$?y53
z^Ran9!(fMYY%Q16CVJ}=k2pIpPux!_qeSUPCyXc#ZO=HC=T!5u5Sc%sm*^Y4(!Q$J
zScEdCDu}NhH>SKzG7!YG3Ad9bBFZJ6I#hs~x?fmVJ#U0pVJVcs9FGUMQw~JRQ(}oZ
z$!u1oc!4>ArVG=#lnxyQ5T=gN5+UKk@uH>OB}0#uw(6$^3ifEHyn-f}oUaC{=}_p%
z2e+(;(WS}e&CLnMFe@r}>3u88`&NZxQDgDnzn4y8TZCho!3~gA&d1dOeS3VM!)s)Y
zcc>lg7IEw{aL&DlAJ8r#u!fs(h>!?OD;mN{2Zic)F^(fXuiM=VeN^Q+bD5fE8yziJ
zTL3F`Zd&C?jrd}9lc#;P+g{qREZi1NZeJl|6fY8zQV(GXU~Y$N9<j@AF?vmM;^|fM
zfmk2!?V$l0gO(oBvIA9;Qph$8T#7_x6+B2BW-ukKRa-gN^U4wUiU@rrH<&mvN!{ib
znRjz!vY12mc7qjtY79Ehs3<GhDUy-jK|YxDoAF20iSLx=OFX*b2uazUwPA-(il^{U
zj-5PS;(w>o_cc`j*jPrJPX}k_%h8T@($ba`39-WC3)U0Wy7iz6@#rtbuj>Yu9hFfW
zMYI+YjX%lk_@u@Zd<vdetSUzcX@s-iP8vRA11UI!>*{nhj7<<1UvnvAbHLkFl5)Hy
z6c>n6K95dnL8{qC1*5S&eSB35k=7z^Cl4S$bb`{gsCagbdlgnD-VbZ1MU>5@cEj(_
zW=byJrHrm@U~G_~b`BH#;yy3U`VuTezS6_y>VpP|M9N)rmci`;VGn^O>CyeeFVZ>v
zW}s<=)y3_(d3k#lbQAAx0RrmALFS@FX8#3l(44{AU6Q9#h3niEb=!O7xy5}W<NmCs
z45eLWK=&UJ-Lsc6oNnB0$g@@tVb5i(p}PI@kyXa$T#jA27eU`Lv0C_WBusPi!@>%2
zdaS>2Qv-2}ZOnW#?CMRuQYX5$RWtcAAWd}pN;%qzxM|AT6WRpTfS>nixVzASW1$WN
z#I`Pduf_$3Au^2l$`VFK@t1ObEm02L#=B)6nM^9ua;{aQbQs|*5H=~lcE9HLlNFVX
zhuc!?IjI7%1=ES$*Ql42!3~;R`-WaE;|KFCbqdfG<MzN;PUZOZ$50eO(?HkL8Bf~3
z(d2uw*H6+T^(54|-TFRJjC+$FVEEDoYFRWDTHiQ6Qq9pRJI^mxeb+oOWu;Tf{1r8V
zh;ADGU5?o20qZA@>UXoRPUAgl1jFx~$GI#?s7FSk8j87J)T~|qIJyT@vTC|7gPkaR
zg!3b=o$>mTG%_gc`pW*X`Ah5NWH^`0E0$@uA6FVKVxb<zR6aqJ_wCA8Chq->Xcs9k
z@q--IH0~%XSUE<Hz{Oz0amaC~ULJGua<9j$*TR^E<dxL0(Q-~I6^JQ>ghPMQt!Eq6
z*yKo#!*}xwzfD>VHY^|676nR@i#D%7mPpo<;b_tfoq;>iE#LWpm@l{Ovv0#|!`4~W
zAxhE-s`=pJPprnW)tDUfy(lp6-J&}DYx#Ej+9FPFn~BeoV<}&*%4lvbREt4S|7m3{
zRS+%)y)_Wr;zct~mUljO`PQLN)3qx=EtC{43=^7cFblbZGaiXQL>NVA;5T0h7rXLt
z15OR!sNLVG$#sO(mD3PaH*&dWN`7Px+8mf{kSVNsEy<PQ0$%J{`J@@4#6#V5H1}}3
zsx{ag`z50x8==cO8~r@{=3mCP&fIn09M>W~TS*R6>Sy6*h`sE0GH4}n@@63rIQG&k
zBL7W&9YfRT#-zEN8%$Ktf5{A-P`=UBZM%SX<vt-e=f_iic0aRbxw%s{C!$~89n4k!
zJdl-^n*`WtK?En_WH%TF`o>3;E3W1&2nyb%Je$||-OH`3OOd!iS9$(hVd#Dk)u{N!
z->d9b3<1mDG8IOO>fPv$iBmj=aG!He10$C9rc?PxS5PqrbhRrA%=fa`Fmx~Np^zbw
zu|db4?O7ufnWLq!7g_pNF{m!e$w6jcqG~@8br#vE@K<1$=$DTy=gQU2^r26gL4~S=
zb*%G0ct37P#|KQ<`ZsLX1dL|lW`Q8ty)#Ci$KJ1xB|+^k-7skUXjL@Fbc5sZAB&kx
zq(Ue@6pG3g6CxADVfp$vuDxB4=ZIemE-!<7hRxv&R~|v-F=ObujK*PU+5yJV6P$Kj
z`VHB<=#-DFZ?v=>^Vl3Em4}ooM(^8wZlDZJ`at3m$iVi2-d>SExP<dy69utq8_mY{
zXN2VD5Ju2D9zkRv4YO4{V6GA&{$ZCaaJ2@t8DOA*V0#+);E*1<ElW1Bbyy^Ig=!s)
zIEa9CO<5AFS0@^)RJEH_G{@yj&Jj!z`P|#g$pM3!a`62oq*R!F-2E~ATMJUNhRxaA
zNosd&cVcsz@=1LIr|31;Y<A{63hSwY(7c%gp~en2KDC$n6)QCQ%pxw^y4efKZZZoO
zSAt6GTcSx4*h$STSjMsMzc}+9;H$;)23g5SV|}@!*rda?$u!qTK6S*&#H_rgliX(g
zTh)jF@q?v~)4H*&7gUGyvp`VpZVaaV?3MtsyT@<&cHgn+d5Sz)d!3_v$x5AUFez-{
zkfDsR^`-=mzvAClCWfLW&4!SyG$_$%)OrjUCQ8Bu=~a8&6MKqoJ99@H8EBs)veDC$
zrqSR|VOgwzPIIp4NQ&d_90OEobi?Mg;FFfm3l<aEj7m0p80{v@5%37l^7?)Amyhw2
zh-0n~Ib4ik&s4W{qH~cequY_2J3m@R6M3^@*4)*35m$H6GwF)^!!RH@AWMmI=ysic
z`JBI}zycd<7~?1q#o)_v!2Ci<_z9AkQCirC+H_yCs7ehibz{{Hg@1)OcsX05EwC#9
z6;VhU{<;flWM=|XS_o;J$DXaHDGa1~7dTdlbgCZ47Q(Ryb#Bx0ZX}ia{vHb?{R)0N
zg1#e;FLUo1eN1`TJ9QC{{e>;b?I0O^Ej7wCDOVr!CzGEs0L;}tTYl~r6|`%LVU)ox
z*HgO&uA{M974Cd{YRGLlval8itmjA=QnWX{Yv9|2Xd1zg_;}=J^>Kg~D)H&V`wlVw
z5^F0ZO~^H2n7<;qeu*<N=@hu^h<HAyl@aE;>m{{1c<S`Qw=XoAO1bpt!>vYNpb&)w
zuGZX7Q@{ilXXT=!1JL87T&lO#M+z_EGq5$d|Af~x`Wjbkl?@GTgMp>aR}%v#2QsNZ
zs2c;>`1<+4eb>fDHu27!<foxdtQw~fq8M3<rzGh|Cs>%!2E7@qpU8X^h<xPWW8q3$
zV!YWF1a18Zku#F!BO<B!P>(N(B7sU@VCb?t)hQ&UZ!<gA3IWwgWNT1Pb-F=hJu?5<
zl+`}&vOcO9T6-q04AA3iS$D45=Vnt#BtaNrZh^WIipAAJijz;z3Udf{>874bxNqd*
zPWGY|+CWynuYl#n5wHBPf23-c$L4%y<T^c{M`}1WV_o<}=7~%L#Zu#8Wrz;)j&l`)
zy4y>?%U8Nz@X8SWVy(3#0R_nwNFhqC>0|PB6h)qS$E)Cp5^tKIc?_D$=N6beoFyw}
zl3hh^R~Rm9%4p?)Q}q}<3mez0OS;g#v4}qj8)wAZV0Cja(Z@`XlhG+HJVLV*Re4C9
zDl1yF{H@Xq;P&&fmGn+=iZy?k>~w?fIGS1|Xpif^^@?enUpu$9fHOz%(JcMW+UCV-
zjv>PnN821bYZL4&M-Zlxd=vYwk6+$&Oy3Pv-EPFxavtI1acP|5xX351q{az{@M<CT
z5~+2?6ROS)tY1f=-Yn{3DRGoIZ&q~jM$M^bFP%)tFbwa#YfQ?G@@{R_xZwXCQbIL!
zr^VG9#N(<&FSr7J=ctO#F(cCjn!k=iwYLf%|M16+wm)}dN}1K!Zt6MY?d**ER)k+-
zp15^PO|>-M7}$x?lArbTQsw}OzK1CUSt@-REtfMnU`k#o*Q$7G#y5vd<taU$a=-S?
z(@S|NH%cnZ-d5Y08z0hQ1!5X8_0%o_WNse2{)pqkdDYwV&&_~S!6=cCIZb2>{}<R>
zs{N9SN*V=;PESsiVugGf6vn9MY?*S)N@T{F9Pt+YTK^HT(Qt1`TI2$`)~IU?SZPK7
zLQ-92v7JR3G=k&NPnD_}pthq6n|D^Y*Kk5Rrc#ciP>Q;+j<fs5Q)a`>f#d%m5$2F;
zb&NN7z9I5$_grc6^4<~Up|6=$i#@X%dgtIfGX@AtkPNImPT6kQ)Oz@iVTt*%rt1a%
z!1>XyAA(x6gmiYRpBnWTBJhg+b<x06E|Yt;ggg^!_Xi}seCu{_oU9d=ahrS6ENa)U
zYQ1rbmen@vQm+8N81nf4Aio+4>iFrzzc@ennS{2q!YuR#j+i4YY@$Burp2SG9O)DK
zU;jbr)|ssRnLfm{VxGf3JMB@mfV098$=izs$>yguB?Lo*f+z7V{}o=H_wBBWU_{e3
zap$A~$xNt5cNf}~^U;1c6;o@k<gYpy1&^4HS~azJSq*ua0g~^}>(s0%Zm9T8+|pW6
zPpL8X)0u;Dxy>umNS+7y)$8J^f3lz-ylVQT4OX$u0y!f!gp8?OmXyZzj=a>1yEJgs
z6i=!+0r>IW^@rjS?p|SEci3Cto-!)$BrUp<^AV}-f+2#J3NLqJDEWB5`4!`Pi7#hX
zvq+wu2&8hZr>^xQIhyP}onL<pc!@Y+Zf)#ZpfY>NqR2M76_NiaM3nyEySp22#&@H4
zn|gQ{tSJez<@s^g^^=thZqKau3QbJO)o`*<g(F)2ts}(N3Pd$QB4Qf*ZXta|#(2cL
z?9xEPa7C7Qwn}Y<^GF4Kp0lHDRPLVUnu)Gf&*pN(oO)2w;ERKG@3a?1vX$S-!8>KV
zVO#)e&%TaTz~@5D!PZ1@aiK#UQRGHCPW8awu@ZBX58lyh4&EixEi%A=reNgi)&B4K
zO`Q3ONQJ@Zoz8nV1_yp(aBsK>LbkSERSeEPZOJ@YZ;b{J5ogVyM>cG$3%DCW+l5cE
zR($rr`{n>R5<o3QF0Ov!tK+kg9L22(vHKlv7lm+*-2Akzd-n6q8~Q&55+MN4=?xA%
z$mY74J>ybr=13%au;*%WwbowLvhK3Z#32j-+5tf7v4m>Mw0*Uycd673PxqS)I=a`y
zhDIvS1j$5`^LcjYfFqW20uUhg%|Zok$XENuy@kUjGtbqDo|rQqlgq)|(=yM8Yl2ci
zP&knKAWXp}(L~VO2YnK|o$_Q`=hDk3CFz)zMN$Aj6LSG>3~WdC25l>}0sA-ES3@sm
z{h`iR_gVyOE(CyCW*ytoRN``D8?$uIfIb?$D+b93T5I5#!vfEm3EfYz<qI&C5C(4>
zLV|bpNYzl~Dk)IkvEGjS`FV)4RA(Bz!HWss&A?}S$J&v}m=rs`KgPs|_(~L7UNx^Y
za)HB4;GL1IQ9ow?(|SAn=XmNNKM&ppBkz3>GJI>%_bv;od-mC^EohFR>q{$5Lq3+b
zbLJ!GYWDa36v=T&zUN#vE}ej54quWO60q_y>y~GK8h(D^b#=2#syo4-2j44CUAvTF
zB3h&29W^)>Q?mVOMc2Q>CY71+yFRPS_nY5smL}JR1WHqE5~J!4F9tm5uiBB3IaUS8
z{lMZ9DH(9$)@Qnb)|EIDq3ABNl0@6*t2B5Tl)`|eNYW4`x%n14z1EeaF|p_|vywU6
z?4c+Gh#ZJe>*7bRvG0ct3Y&GV-q}*}h|cs3Dm!@)KS2Hi74W%U#PGw=SczQ*YG*rp
zsrt_6`kCt2w^IMa9YoPs(o51%@VVTD8Yi|4o_)2gq`W`WH9R$%O3nwk`-A<ED1!Hk
z)r!7Nc2_VgNRyKoVQiV37+NfyxR$)OhJhbzk^#VgCjY^hghg8|`R>)iHu)qu&z@CR
zKVya&<G)5*a1$6VNR<=hi?Q0-588UURNpJ&hs|cq0lkU_sZ%6BoR?*DA>g_M<F(4P
z2NweTw?gGU*PjU=E}swu?<uSWJ-hH`;gd!9QtwdUjmoEo-21j$rFqeH0^W=yV<jUo
zLr_BW<d-fspT_kZr5_6HYiva<O&FZIrgzn#a3i7p$$ZNa!78-IP-5vt$EmCIUFZBe
z9&1IU+5i9wd<w(eIL)A)4qIyQhIt|)VE%cXQtGSS?gLGZohOIW69(Y-=Uu9Nmw5!4
z093zkfK=|aIw@O~QrSxV=PE-{o?zJF69P$}ThX264VuWnIuDn-3^v~|8*Hl}Kf#0o
zzR;{l#$qc{d|Ut_2l<#)dR6>KB-jvq;U5VA09;^Df-l08UViWC8^0$-rikzN_a0-S
z2;RN?ztW4)7eNXYO;G=T{@FAHC<vo~{~Z2bs{b#fK%}pNc)}kY^(&MqJ!1OzUHqdt
z|6ZyHkIBFC(!Xf_FMRngqzKOVCy)QXl=?-b-}8ko-kyI?zJFBZ_oRMd_j|_wp45K>
z5sCtD(C;z)_oV)tIQZWH(f|J}qkkWb{}eU<Avye4*_1&0-{Xh*ajyO!8hwWZPv8G$
zctyZtd9WDY3dMz3ytE_~iU0h2s{cQxHWvQ`4*>Y5giBUbe0$-|5W5-v7j+fQs|CvD
G5C1PT`Yg);

literal 3451
zcmeHJXIGQy7Jc4?-hv_!NiYluB%uT)l!O$J;s{F9z=&QAI1Gq%X#s_I#2G~dEFe;Z
z2r3L<U?|F^D+3Bh6A>)IC>;a?NN+du1Mau^cJK3LpS8|DXPvXxUh6yw&W;D=Wz=K<
z0P=@^v~dMMTofWTq>v(Tuw%A~K<Iq<m@QsbbDyf76@g}FXmyZuz*>)Cu3>DVZe(j<
zX|2!DQ`E-GX<Fhf2y$8sU5fq=9fl6YKnc&(rCJg!4iM=!`b;AgBIO4%L0;<sk+y%g
zK2c#WUEACYx1YAxjEo`ap|pvpy;MyTV>LsnmWhRyDG{Yj`N7y!-N?p(X}F7Euv3?=
zZDy=yV1gwXV+{B2HXtbzn0Tt`o_&V9@TThf7&_*9iaJK3A&InoXnlPVU&s7_9-X8@
z+=tfF+o40o7@F<bXP~4@+iOb3k}R}LC>q98O|qdf!31k$iKklY(P`RdhDvyI-2UyL
zi3|Yb><-yj9gBj#@@>7&)b0d5e#MspB(u#Amu6(_UT%Eg6v1G=__ZyqE8{FOFHfY^
z|KC5VfZ!5u(Z0(z28=CyQ^})%#MMX#s3&t2oA?&I8XsKrm9u1S-?upj?#$y<klar6
zkMSHMKzW<k3gkllwbhVinP<-RqTxj>#x5V2H6{7(5}<;Ofm#wGCC>yr?6+5hU6KP@
z8nZqPNyF_kTe-Bm^)0W;aUk5{<)7tBO7Wgsd{6KufTWx3^)<>>orVJeHdf^&FFs}a
zXB%!y!R?)+jo!~c;wd4<z%NqIX)!RJR;3R5KM+<Mlk*_Zyn&PKMZgvh7uRtb%E5V9
zJ1rogz1{hx%2%Q(X(N40!vl$yAMk>(O?+B7={>^PLmnWp-uVl^LQChr#F8c0gsN6a
zkM7GH#Q-R3@B#*HiLJ&ZLFg)~2AZv<E77Y0S7lGosnqwebxI&<>96*d&StAhAi!@Q
zoMcMDQ}nj&bF*i`v6-Lm#{KeLA52x%q#pHWpkRB0l+c>3Q1E6Vn$-Q>iwXP!CHZfy
z(E{(TLTsH3Or^zb{=ysKqz)~8025C(e~WFCJ^qy`4|heI>2svL157~8#OiuoB_9R#
zP|W7-ua6<QM<tr;h~6^+Anb+Jsr&OZKs|HU{VW00oH>{3jt4a(-fhL@XmGDQ&io{i
zqnsmQxh%(Mu%Mwwy{`|6TSlhUl{rB@o*f*|dN5IbkmKTQ0;vAZ^LYwLZik8oe;Y(B
zctzuo+`gp+&32(D2>UoE9?>{74JI0@Xjfckmy>zomdYyU-Ex<aT+P#=Zjz95nze0E
zAC#FtqyXzQf{tlW_$s=~YtDfz?JW5;g6<)PR($&11Q07zeX74LqYC>R9o<#(9Kq@H
zHH(G2n)um8Hjja6XpsvbQ&EA&L~)@(0mkkjXc!MW2=(}?eNPgx@C8{ZR7lR_UW{~E
z|CEGOuvWKFYf8*$Kos9d3WNc(qL*n2&(J#fz;{H}S(D6Fdj3~w;f^N1oJkF!rk>EC
z0+Nz#PAAAfb)6OUS7o4&T@{NWTdM{y<uSmwP>F9y?oEAP>zkm@QfDmB6j*5cgfRV(
zLQS7?bQ-jBuY%yB3a3zt?-fcnaYsrTY>ogsO2sFa9dKth-}4QUn>${n4gzN5I2L{q
zQQLmf@?`dS=~uqE7smZ55G;hH+zat)NiGg~BXg@J{F<j@`z!vo-=58%iN1SN*bPA_
zRn*LgKO-Rt2*caLkY6<gAzl7z(<p9ZR>ivE+dWP3x8$+nO_}SyH<B*kz`2>lKvS|b
zY_jxD0~3P<(^GBL?Uav+;bKO0<tIWJK`oikV9a83f%f?FnG#9(b5iYx;q>q}+uf~x
zi0ZX39i@SLQkHRx65*`S&-Nu~xH)URo)TFXo+T?6ygs+(mKH!!fLTUslkd3gZggqb
zyLOJxZGX#x%1%bc@j?mFP?^mYN$vE}5TM^7tfi(G;y}mT8h2#>MK$0s_aNONVi#~I
zTgIo)`c<OX9-)&@^1=a%@lsi6T`4DcZ^gUpQYkBFrn)~T^%}x2wB4JBS1f+d2R~gO
zKB?S2jQgF$`?#^VmOmu8>@;0dWZ$-Zbjl}YpBWs&yJlsB-LqXk``SBh*8&t}=H8kg
za?coj*h>L?8dEEdO?(6b(@*+%lhhDVS_2<Cd?f@{yjo8(Lg>J&jm(pVyF+J=h=3o4
z6r&ckSD9VY0rot?Q8I)Pn5#ii8Pl_VBC_Vd$3U`}Fost(Ps>ECtPPyv{Wd>&6W1h;
zR0thSdpwNNda_XRIz?V$MMA&!)0WH2Xp1pWmR4M{wdlFgchvfFE%F$0;6>>+*=Nqy
zU$Y4%ATd8C+!hsW4w}P$g4gR8SJG|u`i;gwu$H^y#Z6XrWU3Ee1~ySoIIhr8yl{O@
zV9zvsP2#k6Lq_S;^pQ^0xkg5&LQ&k{WRfmw7^O~Hf#i%{J;Zk}dFgDH3mAnU<-Bx6
zY|8PA**-K`IQ(3~X@%J98A<jzZjw#ejF)a{&-#479M5rUP=Hsjm)nkZep>H+*?+5m
zt^iYxlpFLvi*I2S(_~-{z1{Q;ld0Z{ZRqNoiUlRHD(otY-7VSC9Q#!RFcxk=a`{7|
zuXfX6!u>o6j76BK79TqipSzrrqO;7zv^?LqRd5)|j_o^nqr4*K!gONwuAosu{Z9aX
zc3`O?9}|)><sb!v)NChueT;$OyQdu2RlEui_;ua?uG74PdBV7A3kJI$wQm*szF3lB
z!C>rJn%S(~i8XDfC^Hp=z$mLQXepmwPxHjeLPjN_5w%WvCd;k4cW9qAR1oay+r}UG
ziBB$6pO|;u37}J{*{nrQ<>)hw?lrOsBxrZ+@@KxE?{dsJibApjPcw*=+7rFEx}VI~
zt<8YD-SLxdrY@&!EbJsXzxt6t=Jclzr4{$*JuA<+&LjE<pq|0$$Nt<=*}=l6!WmWW
zY47tEk$K9w>2*JH(4aG^;@?(GkC4Wb&zH3<+ggXNM${2GH|LK7{erpv*ves#G}U+S
zWnm7j^HD?MoeQ^BSItFtSU-!9lCRyEMhlv*0C$>&Df7hl<yqrz+`R$;%XIG9KyT)u
z9G8F>8^G?}Uu?9&TIpk&XRsbn`FzS$sP7RGxlw2~xXL{ipOp{p*r|nOi1i$LgkxQS
zdfKQr((}QfSnjxg`!}d;_an;fp?)x^7~aJWMuV&`5nBNdmyZMg<ou1Sh-5p+pGp$!
zpGh;0Y|ILhZ2E<hGtSz)if%BT3Fv3BP_6E>VohVKCf$Tc1Q%(avtSOW>|5jC5!|fs
zrqKw%f1oU=2Q`OuOE$s8rPv(SX<68?I>RUR3KVu5dv^xZw22E{0DlBgtpxbOBO)_O
z!Hz4M-BHSb-=hQ|>QsZAFE@XUm9t+8PF^v0`ePmHk<Y)S%W_9@wRq!)Mw`LJ)d5a>
zJeas<kGjCUZRcJ@n-rZuLE9qL2_tDKiB*^{$wjgk=wC-E@nA3t*YN86UQ48UPh*a1
zVW4Ew?=i(A;zcP4cJmSYoB|*=0iQkfAbKaj%$k#2`BJd_(|fABuZz<3mx&@9_azn4
zN@JA)rZjy#br=j@KrNJ%Gi6|fsO*CNJ{J)7{8Wy!I#$BchsK+aON$N`_T&H2@7n)X
tGq%fC0o`2j@1+$-g6Pi?{m_3AK<dvaSA6ade*gMAf5_I+hIfE{=|5hE)WiS)

diff --git a/include/rom.sh b/include/rom.sh
index 2d20a8a763e..8d9cdf40e32 100644
--- a/include/rom.sh
+++ b/include/rom.sh
@@ -44,8 +44,7 @@ mkpayload_grub()
 	    --fonts= --themes= --locales=  --modules="$grub_modules" \
 	    --install-modules="$grub_install_modules" \
 	    "/boot/grub/grub_default.cfg=${srcdir}/.config" \
-	    "/boot/grub/grub.cfg=$grubdata/memdisk.cfg" \
-	    "/background.png=$grubdata/background/background1280x800.png" || \
+	    "/boot/grub/grub.cfg=$grubdata/memdisk.cfg" || \
 	    $err "$tree: cannot build grub.elf"; return 0
 }
 
@@ -165,6 +164,9 @@ add_grub()
 	printf "set grub_scan_disk=\"%s\"\n" "$grub_scan_disk" \
 	    > "$TMPDIR/tmpcfg" || $err "$target: !insert scandisk"
 	cbfs "$tmprom" "$TMPDIR/tmpcfg" scan.cfg raw
+	[ "$initmode" != "normal" ] && [ "$displaymode" != "txtmode" ] && \
+	    cbfs "$tmprom" "$grubdata/background/background1280x800.png" \
+	    "background.png" raw; :
 }
 
 mkseagrub()
-- 
2.39.5

